"use strict";

Object.defineProperty(exports, "__esModule", {
  value: !0
});

var r = require("../language/printLocation.js");

var o = function(r) {
  function GraphQLError(o, t, i, n, e, s, a) {
    r.call(this, o);
    this.name = "GraphQLError";
    this.message = o;
    if (e) {
      this.path = e;
    }
    if (t) {
      this.nodes = t;
    }
    if (i) {
      this.source = i;
    }
    if (n) {
      this.positions = n;
    }
    if (s) {
      this.originalError = s;
    }
    var p = a;
    if (null == p && null != s) {
      var c = s.extensions;
      if (isObjectLike(c)) {
        p = c;
      }
    }
    if (p) {
      this.extensions = p;
    }
  }
  if (r) {
    GraphQLError.__proto__ = r;
  }
  (GraphQLError.prototype = Object.create(r && r.prototype)).constructor = GraphQLError;
  GraphQLError.prototype.toString = function toString() {
    return printError(this);
  };
  return GraphQLError;
}(Error);

function printError(o) {
  var t = o.message;
  if (o.nodes) {
    for (var i = 0, n = o.nodes; i < n.length; i += 1) {
      var e = n[i];
      if (e.loc) {
        t += "\n\n" + r.printLocation(e.loc);
      }
    }
  } else if (o.source && o.locations) {
    for (var s = 0, a = o.locations; s < a.length; s += 1) {
      t += "\n\n" + r.printSourceLocation(o.source, a[s]);
    }
  }
  return t;
}

exports.GraphQLError = o;

exports.printError = printError;
