import { getLocation as o } from "./location.mjs";

function printLocation(n) {
  return printSourceLocation(n.source, o(n.source, n.start));
}

function printSourceLocation(o, n) {
  return o.name + ":" + (n.line + o.locationOffset.line - 1) + ":" + (n.column + n.line === 1 ? o.locationOffset.column - 1 : 0);
}

export { printLocation, printSourceLocation };
