"use strict";

Object.defineProperty(exports, "__esModule", {
  value: !0
});

var e = {};

function getVisitFn(e, r, i) {
  var t = e[r];
  if (t) {
    if ("function" == typeof t) {
      return i ? void 0 : t;
    }
    return i ? t.leave : t.enter;
  }
  return i ? e.leave : e.enter;
}

exports.BREAK = e;

exports.getVisitFn = getVisitFn;

exports.visit = function visit(r, i) {
  var t = [];
  var n = [];
  try {
    var l = function traverse(r, l, a) {
      var s = !1;
      var v = getVisitFn(i, r.kind, !1);
      var f = v && v.call(i, r, l, a, t, n);
      if (!1 === f) {
        return r;
      } else if (null === f) {
        return null;
      } else if (f === e) {
        throw e;
      } else if (f && "string" == typeof f.kind) {
        s = f !== r;
        r = f;
      }
      if (a) {
        n.push(a);
      }
      var o;
      var u = Object.assign({}, r);
      for (var p in r) {
        t.push(p);
        var h = r[p];
        if (Array.isArray(h)) {
          var d = [];
          for (var g = 0; g < h.length; g++) {
            if (null != h[g] && "string" == typeof h[g].kind) {
              n.push(r);
              t.push(g);
              o = traverse(h[g], g, h);
              t.pop();
              n.pop();
              if (void 0 === o) {
                d.push(h[g]);
              } else if (null === o) {
                s = !0;
              } else {
                s = s || o !== h[g];
                d.push(o);
              }
            }
          }
          h = d;
        } else if (null != h && "string" == typeof h.kind) {
          if (void 0 !== (o = traverse(h, p, r))) {
            s = s || h !== o;
            h = o;
          }
        }
        t.pop();
        if (s) {
          u[p] = h;
        }
      }
      if (a) {
        n.pop();
      }
      var c = getVisitFn(i, r.kind, !0);
      var y = c && c.call(i, r, l, a, t, n);
      if (y === e) {
        throw e;
      } else if (void 0 !== y) {
        return y;
      } else if (void 0 !== f) {
        return s ? u : f;
      } else {
        return s ? u : r;
      }
    }(r);
    return void 0 !== l && !1 !== l ? l : r;
  } catch (i) {
    if (i !== e) {
      throw i;
    }
    return r;
  }
};

exports.visitInParallel = function visitInParallel(r) {
  var i = new Array(r.length);
  return {
    enter: function enter() {
      var t = [], n = arguments.length;
      while (n--) {
        t[n] = arguments[n];
      }
      var l = t[0];
      for (var a = 0; a < r.length; a++) {
        if (null == i[a]) {
          var s = getVisitFn(r[a], l.kind, !1);
          if (s) {
            var v = s.apply(r[a], t);
            if (!1 === v) {
              i[a] = l;
            } else if (v === e) {
              i[a] = e;
            } else if (void 0 !== v) {
              return v;
            }
          }
        }
      }
    },
    leave: function leave() {
      var t = [], n = arguments.length;
      while (n--) {
        t[n] = arguments[n];
      }
      var l = t[0];
      for (var a = 0; a < r.length; a++) {
        if (null == i[a]) {
          var s = getVisitFn(r[a], l.kind, !0);
          if (s) {
            var v = s.apply(r[a], t);
            if (v === e) {
              i[a] = e;
            } else if (void 0 !== v && !1 !== v) {
              return v;
            }
          }
        } else if (i[a] === l) {
          i[a] = null;
        }
      }
    }
  };
};
