"use strict";

Object.defineProperty(exports, "__esModule", {
  value: !0
});

var r = require("../error/GraphQLError.js");

var e = /^[_a-zA-Z][_a-zA-Z0-9]*$/;

function isValidNameError(a) {
  if (a.length > 1 && "_" === a[0] && "_" === a[1]) {
    return new r.GraphQLError('Name "' + a + '" must not begin with "__", which is reserved by GraphQL introspection.');
  }
  if (!e.test(a)) {
    return new r.GraphQLError('Names must match /^[_a-zA-Z][_a-zA-Z0-9]*$/ but "' + a + '" does not.');
  }
}

exports.assertValidName = function assertValidName(r) {
  var e = isValidNameError(r);
  if (e) {
    throw e;
  }
  return r;
};

exports.isValidNameError = isValidNameError;
