import { GraphQLError as r } from "../error/GraphQLError.mjs";

var e = /^[_a-zA-Z][_a-zA-Z0-9]*$/;

function assertValidName(r) {
  var e = isValidNameError(r);
  if (e) {
    throw e;
  }
  return r;
}

function isValidNameError(a) {
  if (a.length > 1 && "_" === a[0] && "_" === a[1]) {
    return new r('Name "' + a + '" must not begin with "__", which is reserved by GraphQL introspection.');
  }
  if (!e.test(a)) {
    return new r('Names must match /^[_a-zA-Z][_a-zA-Z0-9]*$/ but "' + a + '" does not.');
  }
}

export { assertValidName, isValidNameError };
