function getIntrospectionQuery(n) {
  var e = Object.assign({}, {
    descriptions: !0,
    specifiedByUrl: !1,
    directiveIsRepeatable: !1,
    schemaDescription: !1,
    inputValueDeprecation: !1
  }, n);
  var t = e.descriptions ? "description" : "";
  var i = e.specifiedByUrl ? "specifiedByURL" : "";
  function inputDeprecation(n) {
    return e.inputValueDeprecation ? n : "";
  }
  return "\n    query IntrospectionQuery {\n      __schema {\n        " + (e.schemaDescription ? t : "") + "\n        queryType { name }\n        mutationType { name }\n        subscriptionType { name }\n        types {\n          ...FullType\n        }\n        directives {\n          name\n          " + t + "\n          " + (e.directiveIsRepeatable ? "isRepeatable" : "") + "\n          locations\n          args" + inputDeprecation("(includeDeprecated: true)") + " {\n            ...InputValue\n          }\n        }\n      }\n    }\n\n    fragment FullType on __Type {\n      kind\n      name\n      " + t + "\n      " + i + "\n      fields(includeDeprecated: true) {\n        name\n        " + t + "\n        args" + inputDeprecation("(includeDeprecated: true)") + " {\n          ...InputValue\n        }\n        type {\n          ...TypeRef\n        }\n        isDeprecated\n        deprecationReason\n      }\n      inputFields" + inputDeprecation("(includeDeprecated: true)") + " {\n        ...InputValue\n      }\n      interfaces {\n        ...TypeRef\n      }\n      enumValues(includeDeprecated: true) {\n        name\n        " + t + "\n        isDeprecated\n        deprecationReason\n      }\n      possibleTypes {\n        ...TypeRef\n      }\n    }\n\n    fragment InputValue on __InputValue {\n      name\n      " + t + "\n      type { ...TypeRef }\n      defaultValue\n      " + inputDeprecation("isDeprecated") + "\n      " + inputDeprecation("deprecationReason") + "\n    }\n\n    fragment TypeRef on __Type {\n      kind\n      name\n      ofType {\n        kind\n        name\n        ofType {\n          kind\n          name\n          ofType {\n            kind\n            name\n            ofType {\n              kind\n              name\n              ofType {\n                kind\n                name\n                ofType {\n                  kind\n                  name\n                  ofType {\n                    kind\n                    name\n                  }\n                }\n              }\n            }\n          }\n        }\n      }\n    }\n  ";
}

export { getIntrospectionQuery };
