import { invariant as e } from "../jsutils/invariant.mjs";

import { parse as r } from "../language/parser.mjs";

import { executeSync as t } from "../execution/execute.mjs";

import { getIntrospectionQuery as i } from "./getIntrospectionQuery.mjs";

function introspectionFromSchema(o, a) {
  var m = Object.assign({}, {
    specifiedByUrl: !0,
    directiveIsRepeatable: !0,
    schemaDescription: !0,
    inputValueDeprecation: !0
  }, a);
  var n = r(i(m));
  var s = t({
    schema: o,
    document: n
  });
  !s.errors && s.data || e(!1);
  return s.data;
}

export { introspectionFromSchema };
