"use strict";

Object.defineProperty(exports, "__esModule", {
  value: !0
});

var e = require("../language/kinds.js");

var n = require("../language/visitor.js");

function collectTransitiveDependencies(e, n, i) {
  if (!e.has(i)) {
    e.add(i);
    var a = n[i];
    if (void 0 !== a) {
      for (var r = 0, t = a; r < t.length; r += 1) {
        collectTransitiveDependencies(e, n, t[r]);
      }
    }
  }
}

function collectDependencies(e) {
  var i = [];
  n.visit(e, {
    FragmentSpread: function FragmentSpread(e) {
      i.push(e.name.value);
    }
  });
  return i;
}

exports.separateOperations = function separateOperations(n) {
  var i = [];
  var a = Object.create(null);
  for (var r = 0, t = n.definitions; r < t.length; r += 1) {
    var c = t[r];
    switch (c.kind) {
     case e.Kind.OPERATION_DEFINITION:
      i.push(c);
      break;

     case e.Kind.FRAGMENT_DEFINITION:
      a[c.name.value] = collectDependencies(c.selectionSet);
    }
  }
  var s = Object.create(null);
  var loop = function() {
    var i = o[l];
    var r = new Set;
    for (var t = 0, c = collectDependencies(i.selectionSet); t < c.length; t += 1) {
      collectTransitiveDependencies(r, a, c[t]);
    }
    s[i.name ? i.name.value : ""] = {
      kind: e.Kind.DOCUMENT,
      definitions: n.definitions.filter((function(n) {
        return n === i || n.kind === e.Kind.FRAGMENT_DEFINITION && r.has(n.name.value);
      }))
    };
  };
  for (var l = 0, o = i; l < o.length; l += 1) {
    loop();
  }
  return s;
};
