"use strict";

Object.defineProperty(exports, "__esModule", {
  value: !0
});

var e = require("../language/source.js");

var r = require("../language/tokenKind.js");

var n = require("../language/lexer.js");

var a = require("../language/blockString.js");

function dedentBlockString(e) {
  var r = e.slice(3, -3);
  var n = a.dedentBlockStringValue(r);
  var i = n[n.length - 1];
  if ('"' === i && '\\"""' !== n.slice(-4) || "\\" === i) {
    n += "\n";
  }
  return '"""' + n + '"""';
}

exports.stripIgnoredCharacters = function stripIgnoredCharacters(a) {
  var i = e.isSource(a) ? a : new e.Source(a);
  var t = i.body;
  var o = new n.Lexer(i);
  var d = "";
  var s = !1;
  while (o.advance().kind !== r.TokenKind.EOF) {
    var u = o.token;
    var c = u.kind;
    var l = !n.isPunctuatorTokenKind(u.kind);
    if (s) {
      if (l || u.kind === r.TokenKind.SPREAD) {
        d += " ";
      }
    }
    var v = t.slice(u.start, u.end);
    if (c === r.TokenKind.BLOCK_STRING) {
      d += dedentBlockString(v);
    } else {
      d += v;
    }
    s = l;
  }
  return d;
};
