import { isSource as r, Source as e } from "../language/source.mjs";

import { TokenKind as n } from "../language/tokenKind.mjs";

import { Lexer as a, isPunctuatorTokenKind as i } from "../language/lexer.mjs";

import { dedentBlockStringValue as t } from "../language/blockString.mjs";

function stripIgnoredCharacters(t) {
  var o = r(t) ? t : new e(t);
  var d = o.body;
  var g = new a(o);
  var l = "";
  var s = !1;
  while (g.advance().kind !== n.EOF) {
    var v = g.token;
    var c = v.kind;
    var m = !i(v.kind);
    if (s) {
      if (m || v.kind === n.SPREAD) {
        l += " ";
      }
    }
    var f = d.slice(v.start, v.end);
    if (c === n.BLOCK_STRING) {
      l += dedentBlockString(f);
    } else {
      l += f;
    }
    s = m;
  }
  return l;
}

function dedentBlockString(r) {
  var e = r.slice(3, -3);
  var n = t(e);
  var a = n[n.length - 1];
  if ('"' === a && '\\"""' !== n.slice(-4) || "\\" === a) {
    n += "\n";
  }
  return '"""' + n + '"""';
}

export { stripIgnoredCharacters };
