"use strict";

Object.defineProperty(exports, "__esModule", {
  value: !0
});

var e = require("../jsutils/invariant.js");

var r = require("../language/kinds.js");

var i = require("../type/definition.js");

exports.typeFromAST = function typeFromAST(n, t) {
  var a;
  if (t.kind === r.Kind.LIST_TYPE) {
    return (a = typeFromAST(n, t.type)) && new i.GraphQLList(a);
  }
  if (t.kind === r.Kind.NON_NULL_TYPE) {
    return (a = typeFromAST(n, t.type)) && new i.GraphQLNonNull(a);
  }
  if (t.kind === r.Kind.NAMED_TYPE) {
    return n.getType(t.name.value);
  }
  e.invariant(!1);
};
