"use strict";

Object.defineProperty(exports, "__esModule", {
  value: !0
});

var e = require("../../error/GraphQLError.js");

var r = require("../../language/kinds.js");

var i = require("../../language/predicates.js");

exports.ExecutableDefinitionsRule = function ExecutableDefinitionsRule(n) {
  return {
    Document: function Document(t) {
      for (var o = 0, u = t.definitions; o < u.length; o += 1) {
        var a = u[o];
        if (!i.isExecutableDefinitionNode(a)) {
          n.reportError(new e.GraphQLError("The " + (a.kind === r.Kind.SCHEMA_DEFINITION || a.kind === r.Kind.SCHEMA_EXTENSION ? "schema" : '"' + a.name.value + '"') + " definition is not executable.", a));
        }
      }
      return !1;
    }
  };
};
