import { GraphQLError as e } from "../../error/GraphQLError.mjs";

import { Kind as r } from "../../language/kinds.mjs";

import { isExecutableDefinitionNode as n } from "../../language/predicates.mjs";

function ExecutableDefinitionsRule(i) {
  return {
    Document: function Document(o) {
      for (var t = 0, a = o.definitions; t < a.length; t += 1) {
        var u = a[t];
        if (!n(u)) {
          i.reportError(new e("The " + (u.kind === r.SCHEMA_DEFINITION || u.kind === r.SCHEMA_EXTENSION ? "schema" : '"' + u.name.value + '"') + " definition is not executable.", u));
        }
      }
      return !1;
    }
  };
}

export { ExecutableDefinitionsRule };
