import { didYouMean as e } from "../../jsutils/didYouMean.mjs";

import { suggestionList as r } from "../../jsutils/suggestionList.mjs";

import { naturalCompare as t } from "../../jsutils/naturalCompare.mjs";

import { GraphQLError as n } from "../../error/GraphQLError.mjs";

import { isAbstractType as i, isInterfaceType as a, isObjectType as o } from "../../type/definition.mjs";

function FieldsOnCorrectTypeRule(u) {
  return {
    Field: function Field(s) {
      var m = u.getParentType();
      if (m) {
        if (!u.getFieldDef()) {
          var f = u.getSchema();
          var l = s.name.value;
          var d = e("to use an inline fragment on", function getSuggestedTypeNames(e, r, n) {
            if (!i(r)) {
              return [];
            }
            var o = new Set;
            var u = Object.create(null);
            for (var s = 0, m = e.getPossibleTypes(r); s < m.length; s += 1) {
              var f = m[s];
              if (!f.getFields()[n]) {
                continue;
              }
              o.add(f);
              u[f.name] = 1;
              for (var l = 0, d = f.getInterfaces(); l < d.length; l += 1) {
                var g = d[l];
                var p;
                if (!g.getFields()[n]) {
                  continue;
                }
                o.add(g);
                u[g.name] = (null !== (p = u[g.name]) && void 0 !== p ? p : 0) + 1;
              }
            }
            return [].concat(o).sort((function(r, n) {
              var i = u[n.name] - u[r.name];
              if (0 !== i) {
                return i;
              }
              if (a(r) && e.isSubType(r, n)) {
                return -1;
              }
              if (a(n) && e.isSubType(n, r)) {
                return 1;
              }
              return t(r.name, n.name);
            })).map((function(e) {
              return e.name;
            }));
          }(f, m, l));
          if ("" === d) {
            d = e(function getSuggestedFieldNames(e, t) {
              if (o(e) || a(e)) {
                var n = Object.keys(e.getFields());
                return r(t, n);
              }
              return [];
            }(m, l));
          }
          u.reportError(new n('Cannot query field "' + l + '" on type "' + m.name + '".' + d, s));
        }
      }
    }
  };
}

export { FieldsOnCorrectTypeRule };
