import { GraphQLError as r } from "../../error/GraphQLError.mjs";

function KnownFragmentNamesRule(e) {
  return {
    FragmentSpread: function FragmentSpread(n) {
      var a = n.name.value;
      if (!e.getFragment(a)) {
        e.reportError(new r('Unknown fragment "' + a + '".', n.name));
      }
    }
  };
}

export { KnownFragmentNamesRule };
