"use strict";

Object.defineProperty(exports, "__esModule", {
  value: !0
});

var e = require("../../jsutils/didYouMean.js");

var r = require("../../jsutils/suggestionList.js");

var n = require("../../error/GraphQLError.js");

var t = require("../../language/predicates.js");

var i = require("../../type/scalars.js");

var a = require("../../type/introspection.js");

var s = i.specifiedScalarTypes.concat(a.introspectionTypes).map((function(e) {
  return e.name;
}));

exports.KnownTypeNamesRule = function KnownTypeNamesRule(i) {
  var a = i.getSchema();
  var o = a ? a.getTypeMap() : Object.create(null);
  var u = Object.create(null);
  for (var c = 0, p = i.getDocument().definitions; c < p.length; c += 1) {
    var v = p[c];
    if (t.isTypeDefinitionNode(v)) {
      u[v.name.value] = !0;
    }
  }
  var l = Object.keys(o).concat(Object.keys(u));
  return {
    NamedType: function NamedType(a, c, p, v, d) {
      var y = a.name.value;
      if (!o[y] && !u[y]) {
        var f;
        var j = null !== (f = d[2]) && void 0 !== f ? f : p;
        var m = null != j && function isSDLNode(e) {
          return "kind" in e && (t.isTypeSystemDefinitionNode(e) || t.isTypeSystemExtensionNode(e));
        }(j);
        if (m && s.includes(y)) {
          return;
        }
        var g = r.suggestionList(y, m ? s.concat(l) : l);
        i.reportError(new n.GraphQLError('Unknown type "' + y + '".' + e.didYouMean(g), a));
      }
    }
  };
};
