import { didYouMean as e } from "../../jsutils/didYouMean.mjs";

import { suggestionList as r } from "../../jsutils/suggestionList.mjs";

import { GraphQLError as n } from "../../error/GraphQLError.mjs";

import { isTypeDefinitionNode as t, isTypeSystemDefinitionNode as a, isTypeSystemExtensionNode as o } from "../../language/predicates.mjs";

import { specifiedScalarTypes as i } from "../../type/scalars.mjs";

import { introspectionTypes as m } from "../../type/introspection.mjs";

function KnownTypeNamesRule(i) {
  var m = i.getSchema();
  var u = m ? m.getTypeMap() : Object.create(null);
  var c = Object.create(null);
  for (var p = 0, l = i.getDocument().definitions; p < l.length; p += 1) {
    var f = l[p];
    if (t(f)) {
      c[f.name.value] = !0;
    }
  }
  var v = Object.keys(u).concat(Object.keys(c));
  return {
    NamedType: function NamedType(t, m, p, l, f) {
      var j = t.name.value;
      if (!u[j] && !c[j]) {
        var d;
        var y = null !== (d = f[2]) && void 0 !== d ? d : p;
        var g = null != y && function isSDLNode(e) {
          return "kind" in e && (a(e) || o(e));
        }(y);
        if (g && s.includes(j)) {
          return;
        }
        var N = r(j, g ? s.concat(v) : v);
        i.reportError(new n('Unknown type "' + j + '".' + e(N), t));
      }
    }
  };
}

var s = i.concat(m).map((function(e) {
  return e.name;
}));

export { KnownTypeNamesRule };
