"use strict";

Object.defineProperty(exports, "__esModule", {
  value: !0
});

var e = require("../../error/GraphQLError.js");

exports.NoFragmentCyclesRule = function NoFragmentCyclesRule(r) {
  var t = Object.create(null);
  var n = [];
  var a = Object.create(null);
  return {
    OperationDefinition: function() {
      return !1;
    },
    FragmentDefinition: function FragmentDefinition(e) {
      detectCycleRecursive(e);
      return !1;
    }
  };
  function detectCycleRecursive(i) {
    if (t[i.name.value]) {
      return;
    }
    var o = i.name.value;
    t[o] = !0;
    var u = r.getFragmentSpreads(i.selectionSet);
    if (0 === u.length) {
      return;
    }
    a[o] = n.length;
    for (var c = 0, l = u; c < l.length; c += 1) {
      var v = l[c];
      var s = v.name.value;
      var f = a[s];
      n.push(v);
      if (void 0 === f) {
        var p = r.getFragment(s);
        if (p) {
          detectCycleRecursive(p);
        }
      } else {
        var g = n.slice(f);
        var m = g.slice(0, -1).map((function(e) {
          return '"' + e.name.value + '"';
        })).join(", ");
        r.reportError(new e.GraphQLError('Cannot spread fragment "' + s + '" within itself' + ("" !== m ? " via " + m + "." : "."), g));
      }
      n.pop();
    }
    a[o] = void 0;
  }
};
