"use strict";

Object.defineProperty(exports, "__esModule", {
  value: !0
});

var e = require("../../error/GraphQLError.js");

exports.NoUnusedVariablesRule = function NoUnusedVariablesRule(r) {
  var a = [];
  return {
    OperationDefinition: {
      enter: function enter() {
        a = [];
      },
      leave: function leave(n) {
        var i = Object.create(null);
        for (var o = 0, t = r.getRecursiveVariableUsages(n); o < t.length; o += 1) {
          i[t[o].node.name.value] = !0;
        }
        for (var l = 0, u = a; l < u.length; l += 1) {
          var s = u[l];
          var v = s.variable.name.value;
          if (!0 !== i[v]) {
            r.reportError(new e.GraphQLError(n.name ? 'Variable "$' + v + '" is never used in operation "' + n.name.value + '".' : 'Variable "$' + v + '" is never used.', s));
          }
        }
      }
    },
    VariableDefinition: function VariableDefinition(e) {
      a.push(e);
    }
  };
};
