"use strict";

Object.defineProperty(exports, "__esModule", {
  value: !0
});

var e = require("../../jsutils/inspect.js");

var r = require("../../error/GraphQLError.js");

var a = require("../../type/definition.js");

exports.ScalarLeafsRule = function ScalarLeafsRule(i) {
  return {
    Field: function Field(s) {
      var t = i.getType();
      var o = s.selectionSet;
      if (t) {
        if (a.isLeafType(a.getNamedType(t))) {
          if (o) {
            var n = s.name.value;
            var l = e.inspect(t);
            i.reportError(new r.GraphQLError('Field "' + n + '" must not have a selection since type "' + l + '" has no subfields.', o));
          }
        } else if (!o) {
          var u = s.name.value;
          var p = e.inspect(t);
          i.reportError(new r.GraphQLError('Field "' + u + '" of type "' + p + '" must have a selection of subfields. Did you mean "' + u + ' { ... }"?', s));
        }
      }
    }
  };
};
