"use strict";

Object.defineProperty(exports, "__esModule", {
  value: !0
});

var e = require("../../error/GraphQLError.js");

var r = require("../../language/kinds.js");

var n = require("../../execution/collectFields.js");

exports.SingleFieldSubscriptionsRule = function SingleFieldSubscriptionsRule(i) {
  return {
    OperationDefinition: function OperationDefinition(t) {
      if ("subscription" === t.operation) {
        var o = i.getSchema();
        var l = o.getSubscriptionType();
        if (l) {
          var a = t.name ? t.name.value : null;
          var s = Object.create(null);
          var u = i.getDocument();
          var c = Object.create(null);
          for (var p = 0, v = u.definitions; p < v.length; p += 1) {
            var f = v[p];
            if (f.kind === r.Kind.FRAGMENT_DEFINITION) {
              c[f.name.value] = f;
            }
          }
          var d = n.collectFields(o, c, s, l, t.selectionSet, new Map, new Set);
          if (d.size > 1) {
            var m = [].concat(d.values()).slice(1).flat();
            i.reportError(new e.GraphQLError(null != a ? 'Subscription "' + a + '" must select only one top level field.' : "Anonymous Subscription must select only one top level field.", m));
          }
          for (var S = 0, b = d.values(); S < b.length; S += 1) {
            var g = b[S];
            var E = g[0].name.value;
            if ("_" === E[0] && "_" === E[1]) {
              i.reportError(new e.GraphQLError(null != a ? 'Subscription "' + a + '" must not select an introspection top level field.' : "Anonymous Subscription must not select an introspection top level field.", g));
            }
          }
        }
      }
    }
  };
};
