"use strict";

Object.defineProperty(exports, "__esModule", {
  value: !0
});

var e = require("../../error/GraphQLError.js");

var r = require("../../type/definition.js");

exports.UniqueEnumValueNamesRule = function UniqueEnumValueNamesRule(n) {
  var a = n.getSchema();
  var u = a ? a.getTypeMap() : Object.create(null);
  var t = Object.create(null);
  return {
    EnumTypeDefinition: checkValueUniqueness,
    EnumTypeExtension: checkValueUniqueness
  };
  function checkValueUniqueness(a) {
    var i;
    var l = a.name.value;
    if (!t[l]) {
      t[l] = Object.create(null);
    }
    var s = null !== (i = a.values) && void 0 !== i ? i : [];
    var o = t[l];
    for (var c = 0, v = s; c < v.length; c += 1) {
      var m = v[c];
      var p = m.name.value;
      var E = u[l];
      if (r.isEnumType(E) && E.getValue(p)) {
        n.reportError(new e.GraphQLError('Enum value "' + l + "." + p + '" already exists in the schema. It cannot also be defined in this type extension.', m.name));
      } else if (o[p]) {
        n.reportError(new e.GraphQLError('Enum value "' + l + "." + p + '" can only be defined once.', [ o[p], m.name ]));
      } else {
        o[p] = m.name;
      }
    }
    return !1;
  }
};
