"use strict";

Object.defineProperty(exports, "__esModule", {
  value: !0
});

var e = require("../../error/GraphQLError.js");

exports.UniqueFragmentNamesRule = function UniqueFragmentNamesRule(r) {
  var n = Object.create(null);
  return {
    OperationDefinition: function() {
      return !1;
    },
    FragmentDefinition: function FragmentDefinition(t) {
      var a = t.name.value;
      if (n[a]) {
        r.reportError(new e.GraphQLError('There can be only one fragment named "' + a + '".', [ n[a], t.name ]));
      } else {
        n[a] = t.name;
      }
      return !1;
    }
  };
};
