"use strict";

Object.defineProperty(exports, "__esModule", {
  value: !0
});

var e = require("../../jsutils/invariant.js");

var r = require("../../error/GraphQLError.js");

exports.UniqueInputFieldNamesRule = function UniqueInputFieldNamesRule(n) {
  var t = [];
  var a = Object.create(null);
  return {
    ObjectValue: {
      enter: function enter() {
        t.push(a);
        a = Object.create(null);
      },
      leave: function leave() {
        var r = t.pop();
        r || e.invariant(!1);
        a = r;
      }
    },
    ObjectField: function ObjectField(e) {
      var t = e.name.value;
      if (a[t]) {
        n.reportError(new r.GraphQLError('There can be only one input field named "' + t + '".', [ a[t], e.name ]));
      } else {
        a[t] = e.name;
      }
    }
  };
};
