import { invariant as e } from "../../jsutils/invariant.mjs";

import { GraphQLError as r } from "../../error/GraphQLError.mjs";

function UniqueInputFieldNamesRule(n) {
  var t = [];
  var a = Object.create(null);
  return {
    ObjectValue: {
      enter: function enter() {
        t.push(a);
        a = Object.create(null);
      },
      leave: function leave() {
        var r = t.pop();
        r || e(!1);
        a = r;
      }
    },
    ObjectField: function ObjectField(e) {
      var t = e.name.value;
      if (a[t]) {
        n.reportError(new r('There can be only one input field named "' + t + '".', [ a[t], e.name ]));
      } else {
        a[t] = e.name;
      }
    }
  };
}

export { UniqueInputFieldNamesRule };
