"use strict";

Object.defineProperty(exports, "__esModule", {
  value: !0
});

var e = require("../../error/GraphQLError.js");

exports.UniqueVariableNamesRule = function UniqueVariableNamesRule(r) {
  var a = Object.create(null);
  return {
    OperationDefinition: function OperationDefinition() {
      a = Object.create(null);
    },
    VariableDefinition: function VariableDefinition(i) {
      var n = i.variable.name.value;
      if (a[n]) {
        r.reportError(new e.GraphQLError('There can be only one variable named "$' + n + '".', [ a[n], i.variable.name ]));
      } else {
        a[n] = i.variable.name;
      }
    }
  };
};
