"use strict";

Object.defineProperty(exports, "__esModule", {
  value: !0
});

var e = require("../../../jsutils/invariant.js");

var r = require("../../../error/GraphQLError.js");

var n = require("../../../type/definition.js");

exports.NoDeprecatedCustomRule = function NoDeprecatedCustomRule(a) {
  return {
    Field: function Field(n) {
      var t = a.getFieldDef();
      var i = null == t ? void 0 : t.deprecationReason;
      if (t && null != i) {
        var u = a.getParentType();
        null != u || e.invariant(!1);
        a.reportError(new r.GraphQLError("The field " + u.name + "." + t.name + " is deprecated. " + i, n));
      }
    },
    Argument: function Argument(n) {
      var t = a.getArgument();
      var i = null == t ? void 0 : t.deprecationReason;
      if (t && null != i) {
        var u = a.getDirective();
        if (null != u) {
          a.reportError(new r.GraphQLError('Directive "@' + u.name + '" argument "' + t.name + '" is deprecated. ' + i, n));
        } else {
          var l = a.getParentType();
          var o = a.getFieldDef();
          null != l && null != o || e.invariant(!1);
          a.reportError(new r.GraphQLError('Field "' + l.name + "." + o.name + '" argument "' + t.name + '" is deprecated. ' + i, n));
        }
      }
    },
    ObjectField: function ObjectField(e) {
      var t = n.getNamedType(a.getParentInputType());
      if (n.isInputObjectType(t)) {
        var i = t.getFields()[e.name.value];
        var u = null == i ? void 0 : i.deprecationReason;
        if (null != u) {
          a.reportError(new r.GraphQLError("The input field " + t.name + "." + i.name + " is deprecated. " + u, e));
        }
      }
    },
    EnumValue: function EnumValue(t) {
      var i = a.getEnumValue();
      var u = null == i ? void 0 : i.deprecationReason;
      if (i && null != u) {
        var l = n.getNamedType(a.getInputType());
        null != l || e.invariant(!1);
        a.reportError(new r.GraphQLError('The enum value "' + l.name + "." + i.name + '" is deprecated. ' + u, t));
      }
    }
  };
};
