"use strict";

Object.defineProperty(exports, "__esModule", {
  value: !0
});

var r = require("../error/GraphQLError.js");

var e = require("../language/visitor.js");

var i = require("../type/validate.js");

var a = require("../utilities/TypeInfo.js");

var t = require("./specifiedRules.js");

var n = require("./ValidationContext.js");

exports.assertValidSDLExtension = function assertValidSDLExtension(r, i) {
  var a = function validateSDL(r, i, a) {
    if (void 0 === a) {
      a = t.specifiedSDLRules;
    }
    var o = [];
    var s = new n.SDLValidationContext(r, i, (function(r) {
      o.push(r);
    }));
    var u = a.map((function(r) {
      return r(s);
    }));
    e.visit(r, e.visitInParallel(u));
    return o;
  }(r, i);
  if (0 !== a.length) {
    throw new Error(a.map((function(r) {
      return r.message;
    })).join("\n\n"));
  }
};

exports.validate = function validate(o, s, u, v, l) {
  if (void 0 === u) {
    u = t.specifiedRules;
  }
  if (void 0 === v) {
    v = {
      maxErrors: void 0
    };
  }
  if (void 0 === l) {
    l = new a.TypeInfo(o);
  }
  i.assertValidSchema(o);
  var d = {};
  var f = [];
  var p = new n.ValidationContext(o, s, l, (function(e) {
    if (null != v.maxErrors && f.length >= v.maxErrors) {
      f.push(new r.GraphQLError("Too many validation errors, error limit reached. Validation aborted."));
      throw d;
    }
    f.push(e);
  }));
  var c = e.visitInParallel(u.map((function(r) {
    return r(p);
  })));
  try {
    e.visit(s, a.visitWithTypeInfo(l, c));
  } catch (r) {
    if (r !== d) {
      throw r;
    }
  }
  return f;
};
