import { printLocation as r, printSourceLocation as o } from "../language/printLocation.mjs";

var t = function(r) {
  function GraphQLError(o, t, i, n, e, s, a) {
    r.call(this, o);
    this.name = "GraphQLError";
    this.message = o;
    if (e) {
      this.path = e;
    }
    if (t) {
      this.nodes = t;
    }
    if (i) {
      this.source = i;
    }
    if (n) {
      this.positions = n;
    }
    if (s) {
      this.originalError = s;
    }
    var p = a;
    if (null == p && null != s) {
      var h = s.extensions;
      if (isObjectLike(h)) {
        p = h;
      }
    }
    if (p) {
      this.extensions = p;
    }
  }
  if (r) {
    GraphQLError.__proto__ = r;
  }
  (GraphQLError.prototype = Object.create(r && r.prototype)).constructor = GraphQLError;
  GraphQLError.prototype.toString = function toString() {
    return printError(this);
  };
  return GraphQLError;
}(Error);

function printError(t) {
  var i = t.message;
  if (t.nodes) {
    for (var n = 0, e = t.nodes; n < e.length; n += 1) {
      var s = e[n];
      if (s.loc) {
        i += "\n\n" + r(s.loc);
      }
    }
  } else if (t.source && t.locations) {
    for (var a = 0, p = t.locations; a < p.length; a += 1) {
      i += "\n\n" + o(t.source, p[a]);
    }
  }
  return i;
}

export { t as GraphQLError, printError };
