import { inspect as r } from "../jsutils/inspect.mjs";

import { GraphQLError as o } from "./GraphQLError.mjs";

function locatedError(e, t, n) {
  var s;
  var a = e instanceof Error ? e : new Error("Unexpected error value: " + r(e));
  if (function isLocatedGraphQLError(r) {
    return Array.isArray(r.path);
  }(a)) {
    return a;
  }
  return new o(a.message, null !== (s = a.nodes) && void 0 !== s ? s : t, a.source, a.positions, n, a);
}

export { locatedError };
