function naturalCompare(i, t) {
  var e = 0;
  var a = 0;
  while (e < i.length && a < t.length) {
    var n = i.charCodeAt(e);
    var h = t.charCodeAt(a);
    if (isDigit(n) && isDigit(h)) {
      var o = 0;
      do {
        ++e;
        o = 10 * o + n - r;
        n = i.charCodeAt(e);
      } while (isDigit(n) && o > 0);
      var l = 0;
      do {
        ++a;
        l = 10 * l + h - r;
        h = t.charCodeAt(a);
      } while (isDigit(h) && l > 0);
      if (o < l) {
        return -1;
      }
      if (o > l) {
        return 1;
      }
    } else {
      if (n < h) {
        return -1;
      }
      if (n > h) {
        return 1;
      }
      ++e;
      ++a;
    }
  }
  return i.length - t.length;
}

var r = 48;

function isDigit(i) {
  return !isNaN(i) && r <= i && i <= 57;
}

export { naturalCompare };
