import { naturalCompare as r } from "./naturalCompare.mjs";

function suggestionList(a, e) {
  var n = Object.create(null);
  var i = new t(a);
  var o = Math.floor(.4 * a.length) + 1;
  for (var s = 0, v = e; s < v.length; s += 1) {
    var u = v[s];
    var f = i.measure(u, o);
    if (void 0 !== f) {
      n[u] = f;
    }
  }
  return Object.keys(n).sort((function(t, a) {
    var e = n[t] - n[a];
    return 0 !== e ? e : r(t, a);
  }));
}

var t = function LexicalDistance(r) {
  this._input = r;
  this._inputLowerCase = r.toLowerCase();
  this._inputArray = stringToArray(this._inputLowerCase);
  this._rows = [ new Array(r.length + 1).fill(0), new Array(r.length + 1).fill(0), new Array(r.length + 1).fill(0) ];
};

t.prototype.measure = function measure(r, t) {
  if (this._input === r) {
    return 0;
  }
  var a = r.toLowerCase();
  if (this._inputLowerCase === a) {
    return 1;
  }
  var e = stringToArray(a);
  var n = this._inputArray;
  if (e.length < n.length) {
    var i = e;
    e = n;
    n = i;
  }
  var o = e.length;
  var s = n.length;
  if (o - s > t) {
    return;
  }
  var v = this._rows;
  for (var u = 0; u <= s; u++) {
    v[0][u] = u;
  }
  for (var f = 1; f <= o; f++) {
    var h = v[(f - 1) % 3];
    var l = v[f % 3];
    var g = l[0] = f;
    for (var p = 1; p <= s; p++) {
      var w = Math.min(h[p] + 1, l[p - 1] + 1, h[p - 1] + (e[f - 1] === n[p - 1] ? 0 : 1));
      if (f > 1 && p > 1 && e[f - 1] === n[p - 2] && e[f - 2] === n[p - 1]) {
        w = Math.min(w, v[(f - 2) % 3][p - 2] + 1);
      }
      if (w < g) {
        g = w;
      }
      l[p] = w;
    }
    if (g > t) {
      return;
    }
  }
  var c = v[o % 3][s];
  return c <= t ? c : void 0;
};

function stringToArray(r) {
  var t = r.length;
  var a = new Array(t);
  for (var e = 0; e < t; ++e) {
    a[e] = r.charCodeAt(e);
  }
  return a;
}

export { suggestionList };
