"use strict";

Object.defineProperty(exports, "__esModule", {
  value: !0
});

var n = require("./kinds.js");

var r = require("../error/GraphQLError.js");

var e = "boolean" == typeof /./g.sticky;

function E(n) {
  return "function" == typeof n ? function B(n) {
    return n.length ? n : function(r) {
      return n()(r);
    };
  }(n) : "string" == typeof n ? function C(n) {
    return function(r) {
      if (r.x < r.quasis.length) {
        for (var e = r.quasis[r.x], l = 0, u = n.length; l < u; l++) {
          if (e.charCodeAt(r.y + l) !== n.charCodeAt(l)) {
            return null;
          }
        }
        r.y += n.length;
        return n;
      }
    };
  }(n) : function D(n) {
    n = e ? new RegExp(n.source, "y") : new RegExp(n.source + "|()", "g");
    return function(r) {
      if (r.x < r.quasis.length) {
        var l = r.quasis[r.x];
        n.lastIndex = r.y;
        var u;
        e ? n.test(l) && (u = l.slice(r.y, n.lastIndex)) : null == (l = n.exec(l))[1] && (u = l[0]);
        r.y = n.lastIndex;
        return u;
      }
    };
  }(n);
}

function parse$1(n) {
  return function(r) {
    var e = arguments;
    for (var l = [], u = arguments.length - 1; 0 < u--; ) {
      l[u] = e[u + 1];
    }
    "string" == typeof r && (r = [ r ]);
    return n({
      quasis: r,
      expressions: l,
      x: 0,
      y: 0
    });
  };
}

var l = E(/[_\w][_\d\w]*/);

var name = function(r) {
  var e = r.y, u = r.x;
  var i = [];
  var t;
  if (null != (t = l(r))) {
    i.push(t);
  } else {
    r.y = e;
    r.x = u;
    return;
  }
  if (n.Kind.NAME) {
    i.tag = n.Kind.NAME;
  }
  return function(n) {
    return {
      kind: n.tag,
      value: n[0]
    };
  }(i);
};

var u = E("null");

var i = E(/true|false/);

var t = E("$");

var variable = function(r) {
  var e = r.y, l = r.x;
  var u = [];
  var i;
  if (null == t(r)) {
    r.y = e;
    r.x = l;
    return;
  }
  if (null != (i = name(r))) {
    u.push(i);
  } else {
    r.y = e;
    r.x = l;
    return;
  }
  if (n.Kind.VARIABLE) {
    u.tag = n.Kind.VARIABLE;
  }
  return function(n) {
    return {
      kind: n.tag,
      name: n[0]
    };
  }(u);
};

var a = E(/[-]?\d+/), y = E(/[.]\d+/), x = E(/[eE][+-]?\d+/);

var number = function(r) {
  var e = r.y, l = r.x;
  var u = [];
  var i;
  if (null != (i = a(r))) {
    u.push(i);
  } else {
    r.y = e;
    r.x = l;
    return;
  }
  var t = r.y, f = r.x;
  if (null != (i = y(r))) {
    u.push(i);
  } else {
    r.y = t;
    r.x = f;
  }
  t = r.y, f = r.x;
  if (null != (i = x(r))) {
    u.push(i);
  } else {
    r.y = t;
    r.x = f;
  }
  return function(r) {
    return {
      kind: 1 === r.length ? n.Kind.INT : n.Kind.FLOAT,
      value: r.join("")
    };
  }(u);
};

var f = E('"""'), s = E(/[\s\S]+?(?=""")/), v = E('"""'), o = E('"'), h = E(/[^"\r\n]*/), d = E('"');

var p = E("["), g = E(/([\s,]|#[^\n\r]+)+/), c = E("]");

var k = E(":");

var objectField = function(r) {
  var e = r.y, l = r.x;
  var u = [];
  var i;
  var t = r.y, a = r.x;
  if (null == (i = g(r))) {
    r.y = t;
    r.x = a;
  }
  if (null != (i = name(r))) {
    u.push(i);
  } else {
    r.y = e;
    r.x = l;
    return;
  }
  var y = r.y, x = r.x;
  if (null == (i = g(r))) {
    r.y = y;
    r.x = x;
  }
  if (null == (i = k(r))) {
    r.y = e;
    r.x = l;
    return;
  }
  if (null != (i = value(r))) {
    u.push(i);
  } else {
    r.y = e;
    r.x = l;
    return;
  }
  if (n.Kind.OBJECT_FIELD) {
    u.tag = n.Kind.OBJECT_FIELD;
  }
  return function(n) {
    return {
      kind: n.tag,
      name: n[0],
      value: n[1]
    };
  }(u);
};

var N = E("{"), b = E("}");

var value = function(r) {
  var e = r.y, l = r.x;
  var t = [];
  var a;
  var y = r.y, x = r.x;
  if (null == (a = g(r))) {
    r.y = y;
    r.x = x;
  }
  var k = t.length;
  n: {
    r: {
      var I = r.y, K = r.x;
      if (null != (a = function(r) {
        var e = r.y, l = r.x;
        var i = [];
        var t;
        if (null != (t = u(r))) {
          i.push(t);
        } else {
          r.y = e;
          r.x = l;
          return;
        }
        if (n.Kind.NULL) {
          i.tag = n.Kind.NULL;
        }
        return function(n) {
          return {
            kind: n.tag
          };
        }(i);
      }(r))) {
        t.push(a);
      } else {
        r.y = I;
        r.x = K;
        t.length = k;
        break r;
      }
      break n;
    }
    r: {
      I = r.y, K = r.x;
      if (null != (a = function(r) {
        var e = r.y, l = r.x;
        var u = [];
        var t;
        if (null != (t = i(r))) {
          u.push(t);
        } else {
          r.y = e;
          r.x = l;
          return;
        }
        if (n.Kind.BOOLEAN) {
          u.tag = n.Kind.BOOLEAN;
        }
        return function(n) {
          return {
            kind: n.tag,
            value: "true" === n[0]
          };
        }(u);
      }(r))) {
        t.push(a);
      } else {
        r.y = I;
        r.x = K;
        t.length = k;
        break r;
      }
      break n;
    }
    r: {
      I = r.y, K = r.x;
      if (null != (a = variable(r))) {
        t.push(a);
      } else {
        r.y = I;
        r.x = K;
        t.length = k;
        break r;
      }
      break n;
    }
    r: {
      I = r.y, K = r.x;
      if (null != (a = function(r) {
        var e = r.y, l = r.x;
        var u = [];
        var i;
        e: {
          l: {
            var t = r.y, a = r.x;
            var y = u.length;
            if (null == (i = f(r))) {
              r.y = t;
              r.x = a;
              u.length = y;
              break l;
            }
            if (null != (i = s(r))) {
              u.push(i);
            } else {
              r.y = t;
              r.x = a;
              u.length = y;
              break l;
            }
            if (null == (i = v(r))) {
              r.y = t;
              r.x = a;
              u.length = y;
              break l;
            }
            break e;
          }
          y = u.length;
          if (null == (i = o(r))) {
            r.y = e;
            r.x = l;
            u.length = y;
            return;
          }
          if (null != (i = h(r))) {
            u.push(i);
          } else {
            r.y = e;
            r.x = l;
            u.length = y;
            return;
          }
          if (null == (i = d(r))) {
            r.y = e;
            r.x = l;
            u.length = y;
            return;
          }
        }
        if (n.Kind.STRING) {
          u.tag = n.Kind.STRING;
        }
        return function(n) {
          return {
            kind: n.tag,
            value: n[0]
          };
        }(u);
      }(r))) {
        t.push(a);
      } else {
        r.y = I;
        r.x = K;
        t.length = k;
        break r;
      }
      break n;
    }
    r: {
      I = r.y, K = r.x;
      if (null != (a = number(r))) {
        t.push(a);
      } else {
        r.y = I;
        r.x = K;
        t.length = k;
        break r;
      }
      break n;
    }
    r: {
      I = r.y, K = r.x;
      if (null != (a = function(r) {
        var e = r.y, l = r.x;
        var u = [];
        var i;
        if (null != (i = name(r))) {
          u.push(i);
        } else {
          r.y = e;
          r.x = l;
          return;
        }
        if (n.Kind.ENUM) {
          u.tag = n.Kind.ENUM;
        }
        return function(n) {
          return {
            kind: n.tag,
            value: n[0].value
          };
        }(u);
      }(r))) {
        t.push(a);
      } else {
        r.y = I;
        r.x = K;
        t.length = k;
        break r;
      }
      break n;
    }
    r: {
      I = r.y, K = r.x;
      if (null != (a = function(r) {
        var e = r.y, l = r.x;
        var u = [];
        var i;
        if (null == (i = p(r))) {
          r.y = e;
          r.x = l;
          return;
        }
        e: for (;;) {
          var t = r.y, a = r.x;
          if (null != (i = value(r))) {
            u.push(i);
          } else {
            r.y = t;
            r.x = a;
            break e;
          }
        }
        var y = r.y, x = r.x;
        if (null == (i = g(r))) {
          r.y = y;
          r.x = x;
        }
        if (null == (i = c(r))) {
          r.y = e;
          r.x = l;
          return;
        }
        y = r.y, x = r.x;
        if (null == (i = g(r))) {
          r.y = y;
          r.x = x;
        }
        if (n.Kind.LIST) {
          u.tag = n.Kind.LIST;
        }
        return function(n) {
          return {
            kind: n.tag,
            values: n.slice()
          };
        }(u);
      }(r))) {
        t.push(a);
      } else {
        r.y = I;
        r.x = K;
        t.length = k;
        break r;
      }
      break n;
    }
    if (null != (a = function(r) {
      var e = r.y, l = r.x;
      var u = [];
      var i;
      if (null == (i = N(r))) {
        r.y = e;
        r.x = l;
        return;
      }
      r: for (;;) {
        var t = r.y, a = r.x;
        if (null != (i = objectField(r))) {
          u.push(i);
        } else {
          r.y = t;
          r.x = a;
          break r;
        }
      }
      if (null == (i = b(r))) {
        r.y = e;
        r.x = l;
        return;
      }
      var y = r.y, x = r.x;
      if (null == (i = g(r))) {
        r.y = y;
        r.x = x;
      }
      if (n.Kind.OBJECT) {
        u.tag = n.Kind.OBJECT;
      }
      return function(n) {
        return {
          kind: n.tag,
          fields: n.slice()
        };
      }(u);
    }(r))) {
      t.push(a);
    } else {
      r.y = e;
      r.x = l;
      t.length = k;
      return;
    }
  }
  y = r.y, x = r.x;
  if (null == (a = g(r))) {
    r.y = y;
    r.x = x;
  }
  return function(n) {
    return n[0];
  }(t);
};

var I = E(":");

var arg = function(r) {
  var e = r.y, l = r.x;
  var u = [];
  var i;
  if (null != (i = name(r))) {
    u.push(i);
  } else {
    r.y = e;
    r.x = l;
    return;
  }
  var t = r.y, a = r.x;
  if (null == (i = g(r))) {
    r.y = t;
    r.x = a;
  }
  if (null == (i = I(r))) {
    r.y = e;
    r.x = l;
    return;
  }
  t = r.y, a = r.x;
  if (null == (i = g(r))) {
    r.y = t;
    r.x = a;
  }
  if (null != (i = value(r))) {
    u.push(i);
  } else {
    r.y = e;
    r.x = l;
    return;
  }
  if (n.Kind.ARGUMENT) {
    u.tag = n.Kind.ARGUMENT;
  }
  return function(n) {
    return {
      kind: n.tag,
      name: n[0],
      value: n[1]
    };
  }(u);
};

var K = E("("), T = E(")");

var args = function(n) {
  var r = [];
  var e;
  var l = n.y, u = n.x;
  if (null == (e = g(n))) {
    n.y = l;
    n.x = u;
  }
  n: {
    l = n.y, u = n.x;
    var i = r.length;
    if (null == (e = K(n))) {
      n.y = l;
      n.x = u;
      r.length = i;
      break n;
    }
    var t = n.y, a = n.x;
    if (null == (e = g(n))) {
      n.y = t;
      n.x = a;
    }
    if (null != (e = arg(n))) {
      r.push(e);
    } else {
      n.y = l;
      n.x = u;
      r.length = i;
      break n;
    }
    r: for (;;) {
      var y = n.y, x = n.x;
      if (null != (e = arg(n))) {
        r.push(e);
      } else {
        n.y = y;
        n.x = x;
        break r;
      }
    }
    if (null == (e = T(n))) {
      n.y = l;
      n.x = u;
      r.length = i;
      break n;
    }
    t = n.y, a = n.x;
    if (null == (e = g(n))) {
      n.y = t;
      n.x = a;
    }
  }
  return r;
};

var A = E("@");

var directive = function(r) {
  var e = r.y, l = r.x;
  var u = [];
  var i;
  if (null == (i = A(r))) {
    r.y = e;
    r.x = l;
    return;
  }
  if (null != (i = name(r))) {
    u.push(i);
  } else {
    r.y = e;
    r.x = l;
    return;
  }
  var t = r.y, a = r.x;
  if (null == (i = g(r))) {
    r.y = t;
    r.x = a;
  }
  t = r.y, a = r.x;
  if (null != (i = args(r))) {
    u.push(i);
  } else {
    r.y = t;
    r.x = a;
  }
  t = r.y, a = r.x;
  if (null == (i = g(r))) {
    r.y = t;
    r.x = a;
  }
  if (n.Kind.DIRECTIVE) {
    u.tag = n.Kind.DIRECTIVE;
  }
  return function(n) {
    return {
      kind: n.tag,
      name: n[0],
      arguments: n[1]
    };
  }(u);
};

var directives = function(n) {
  var r = [];
  var e;
  var l = n.y, u = n.x;
  if (null == (e = g(n))) {
    n.y = l;
    n.x = u;
  }
  n: for (;;) {
    l = n.y, u = n.x;
    if (null != (e = directive(n))) {
      r.push(e);
    } else {
      n.y = l;
      n.x = u;
      break n;
    }
  }
  return r;
};

var O = E(/[?!]/);

var L = E(":");

var field = function(r) {
  var e = r.y, l = r.x;
  var u = [];
  var i;
  var t = r.y, a = r.x;
  if (null == (i = g(r))) {
    r.y = t;
    r.x = a;
  }
  if (null != (i = name(r))) {
    u.push(i);
  } else {
    r.y = e;
    r.x = l;
    return;
  }
  n: {
    t = r.y, a = r.x;
    var y = u.length;
    var x = r.y, f = r.x;
    if (null == (i = g(r))) {
      r.y = x;
      r.x = f;
    }
    if (null == (i = L(r))) {
      r.y = t;
      r.x = a;
      u.length = y;
      break n;
    }
    x = r.y, f = r.x;
    if (null == (i = g(r))) {
      r.y = x;
      r.x = f;
    }
    if (null != (i = name(r))) {
      u.push(i);
    } else {
      r.y = t;
      r.x = a;
      u.length = y;
      break n;
    }
  }
  t = r.y, a = r.x;
  if (null != (i = function(n) {
    var r = n.y, e = n.x;
    var l = [];
    var u;
    var i = n.y, t = n.x;
    if (null == g(n)) {
      n.y = i;
      n.x = t;
    }
    if (null != (u = O(n))) {
      l.push(u);
    } else {
      n.y = r;
      n.x = e;
      return;
    }
    return function(n) {
      return "?" === n[0] ? "optional" : "required";
    }(l);
  }(r))) {
    u.push(i);
  } else {
    r.y = t;
    r.x = a;
  }
  if (null != (i = args(r))) {
    u.push(i);
  } else {
    r.y = e;
    r.x = l;
    return;
  }
  if (null != (i = directives(r))) {
    u.push(i);
  } else {
    r.y = e;
    r.x = l;
    return;
  }
  t = r.y, a = r.x;
  if (null != (i = selectionSet(r))) {
    u.push(i);
  } else {
    r.y = t;
    r.x = a;
  }
  if (n.Kind.FIELD) {
    u.tag = n.Kind.FIELD;
  }
  return function(r) {
    var e = 0;
    return {
      kind: r.tag,
      alias: r[1].kind === n.Kind.NAME ? r[e++] : void 0,
      name: r[e++],
      required: "string" == typeof r[e] ? r[e++] : "unset",
      arguments: r[e++],
      directives: r[e++],
      selectionSet: r[e++]
    };
  }(u);
};

var _ = E("["), R = E("]"), M = E("!");

var type = function(r) {
  var e = r.y, l = r.x;
  var u = [];
  var i;
  var t = u.length;
  n: {
    r: {
      var a = r.y, y = r.x;
      if (null == (i = _(r))) {
        r.y = a;
        r.x = y;
        u.length = t;
        break r;
      }
      var x = r.y, f = r.x;
      if (null == (i = g(r))) {
        r.y = x;
        r.x = f;
      }
      if (null != (i = type(r))) {
        u.push(i);
      } else {
        r.y = a;
        r.x = y;
        u.length = t;
        break r;
      }
      x = r.y, f = r.x;
      if (null == (i = g(r))) {
        r.y = x;
        r.x = f;
      }
      if (null == (i = R(r))) {
        r.y = a;
        r.x = y;
        u.length = t;
        break r;
      }
      x = r.y, f = r.x;
      if (null == (i = g(r))) {
        r.y = x;
        r.x = f;
      }
      break n;
    }
    if (null != (i = name(r))) {
      u.push(i);
    } else {
      r.y = e;
      r.x = l;
      u.length = t;
      return;
    }
  }
  var s = r.y, v = r.x;
  if (null != (i = M(r))) {
    u.push(i);
  } else {
    r.y = s;
    r.x = v;
  }
  s = r.y, v = r.x;
  if (null == (i = g(r))) {
    r.y = s;
    r.x = v;
  }
  return function(r) {
    var e = "Name" === r[0].kind ? {
      kind: n.Kind.NAMED_TYPE,
      name: r[0]
    } : {
      kind: n.Kind.LIST_TYPE,
      type: r[0]
    };
    return "!" === r[1] ? {
      kind: n.Kind.NON_NULL_TYPE,
      type: e
    } : e;
  }(u);
};

var S = E("on");

var typeCondition = function(r) {
  var e = r.y, l = r.x;
  var u = [];
  var i;
  var t = r.y, a = r.x;
  if (null == (i = g(r))) {
    r.y = t;
    r.x = a;
  }
  if (null == (i = S(r))) {
    r.y = e;
    r.x = l;
    return;
  }
  if (null == (i = g(r))) {
    r.y = e;
    r.x = l;
    return;
  }
  if (null != (i = name(r))) {
    u.push(i);
  } else {
    r.y = e;
    r.x = l;
    return;
  }
  var y = r.y, x = r.x;
  if (null == (i = g(r))) {
    r.y = y;
    r.x = x;
  }
  return function(r) {
    return {
      kind: n.Kind.NAMED_TYPE,
      name: r[0]
    };
  }(u);
};

var F = E("...");

var inlineFragment = function(r) {
  var e = r.y, l = r.x;
  var u = [];
  var i;
  if (null == (i = F(r))) {
    r.y = e;
    r.x = l;
    return;
  }
  var t = r.y, a = r.x;
  if (null != (i = typeCondition(r))) {
    u.push(i);
  } else {
    r.y = t;
    r.x = a;
  }
  if (null != (i = directives(r))) {
    u.push(i);
  } else {
    r.y = e;
    r.x = l;
    return;
  }
  if (null != (i = selectionSet(r))) {
    u.push(i);
  } else {
    r.y = e;
    r.x = l;
    return;
  }
  if (n.Kind.INLINE_FRAGMENT) {
    u.tag = n.Kind.INLINE_FRAGMENT;
  }
  return function(r) {
    var e = 0;
    return {
      kind: r.tag,
      typeCondition: r[e].kind === n.Kind.NAMED_TYPE ? r[e++] : void 0,
      directives: r[e++],
      selectionSet: r[e]
    };
  }(u);
};

var m = E("..."), G = E("on");

var fragmentSpread = function(r) {
  var e = r.y, l = r.x;
  var u = [];
  var i;
  if (null == (i = m(r))) {
    r.y = e;
    r.x = l;
    return;
  }
  var t = r.y, a = r.x;
  if (null == (i = g(r))) {
    r.y = t;
    r.x = a;
  }
  n: {
    var y = r.y, x = r.x;
    if (null == (i = G(r))) {
      r.y = y;
      r.x = x;
      break n;
    }
    r.y = e;
    r.x = l;
    return;
  }
  if (null != (i = name(r))) {
    u.push(i);
  } else {
    r.y = e;
    r.x = l;
    return;
  }
  y = r.y, x = r.x;
  if (null == (i = g(r))) {
    r.y = y;
    r.x = x;
  }
  if (null != (i = directives(r))) {
    u.push(i);
  } else {
    r.y = e;
    r.x = l;
    return;
  }
  if (n.Kind.FRAGMENT_SPREAD) {
    u.tag = n.Kind.FRAGMENT_SPREAD;
  }
  return function(n) {
    return {
      kind: n.tag,
      name: n[0],
      directives: n[1]
    };
  }(u);
};

var P = E("{"), q = E("}");

var selectionSet = function(r) {
  var e = r.y, l = r.x;
  var u = [];
  var i;
  var t = r.y, a = r.x;
  if (null == (i = g(r))) {
    r.y = t;
    r.x = a;
  }
  if (null == (i = P(r))) {
    r.y = e;
    r.x = l;
    return;
  }
  var y = r.y, x = r.x;
  if (null == (i = g(r))) {
    r.y = y;
    r.x = x;
  }
  var f = u.length;
  n: {
    r: {
      y = r.y, x = r.x;
      if (null != (i = inlineFragment(r))) {
        u.push(i);
      } else {
        r.y = y;
        r.x = x;
        u.length = f;
        break r;
      }
      break n;
    }
    r: {
      y = r.y, x = r.x;
      if (null != (i = fragmentSpread(r))) {
        u.push(i);
      } else {
        r.y = y;
        r.x = x;
        u.length = f;
        break r;
      }
      break n;
    }
    if (null != (i = field(r))) {
      u.push(i);
    } else {
      r.y = e;
      r.x = l;
      u.length = f;
      return;
    }
  }
  n: for (;;) {
    t = r.y, a = r.x;
    f = u.length;
    r: {
      e: {
        y = r.y, x = r.x;
        if (null != (i = inlineFragment(r))) {
          u.push(i);
        } else {
          r.y = y;
          r.x = x;
          u.length = f;
          break e;
        }
        break r;
      }
      e: {
        y = r.y, x = r.x;
        if (null != (i = fragmentSpread(r))) {
          u.push(i);
        } else {
          r.y = y;
          r.x = x;
          u.length = f;
          break e;
        }
        break r;
      }
      if (null != (i = field(r))) {
        u.push(i);
      } else {
        r.y = t;
        r.x = a;
        u.length = f;
        break n;
      }
    }
  }
  if (null == (i = q(r))) {
    r.y = e;
    r.x = l;
    return;
  }
  y = r.y, x = r.x;
  if (null == (i = g(r))) {
    r.y = y;
    r.x = x;
  }
  if (n.Kind.SELECTION_SET) {
    u.tag = n.Kind.SELECTION_SET;
  }
  return function(n) {
    return {
      kind: n.tag,
      selections: n.slice()
    };
  }(u);
};

var w = E("=");

var U = E(":");

var varDefinition = function(r) {
  var e = r.y, l = r.x;
  var u = [];
  var i;
  if (null != (i = variable(r))) {
    u.push(i);
  } else {
    r.y = e;
    r.x = l;
    return;
  }
  var t = r.y, a = r.x;
  if (null == (i = g(r))) {
    r.y = t;
    r.x = a;
  }
  if (null == (i = U(r))) {
    r.y = e;
    r.x = l;
    return;
  }
  t = r.y, a = r.x;
  if (null == (i = g(r))) {
    r.y = t;
    r.x = a;
  }
  if (null != (i = type(r))) {
    u.push(i);
  } else {
    r.y = e;
    r.x = l;
    return;
  }
  var y = r.y, x = r.x;
  if (null != (i = function(n) {
    var r = n.y, e = n.x;
    var l = [];
    var u;
    if (null == w(n)) {
      n.y = r;
      n.x = e;
      return;
    }
    var i = n.y, t = n.x;
    if (null == g(n)) {
      n.y = i;
      n.x = t;
    }
    if (null != (u = value(n))) {
      l.push(u);
    } else {
      n.y = r;
      n.x = e;
      return;
    }
    return function(n) {
      return n[0];
    }(l);
  }(r))) {
    u.push(i);
  } else {
    r.y = y;
    r.x = x;
  }
  if (null != (i = directives(r))) {
    u.push(i);
  } else {
    r.y = e;
    r.x = l;
    return;
  }
  y = r.y, x = r.x;
  if (null == (i = g(r))) {
    r.y = y;
    r.x = x;
  }
  if (n.Kind.VARIABLE_DEFINITION) {
    u.tag = n.Kind.VARIABLE_DEFINITION;
  }
  return function(n) {
    return {
      kind: n.tag,
      variable: n[0],
      type: n[1],
      defaultValue: n[2].kind ? n[2] : void 0,
      directives: !n[2].kind ? n[2] : n[3]
    };
  }(u);
};

var V = E("("), Y = E(")");

var $ = E("fragment");

var fragmentDefinition = function(r) {
  var e = r.y, l = r.x;
  var u = [];
  var i;
  var t = r.y, a = r.x;
  if (null == (i = g(r))) {
    r.y = t;
    r.x = a;
  }
  if (null == (i = $(r))) {
    r.y = e;
    r.x = l;
    return;
  }
  if (null == (i = g(r))) {
    r.y = e;
    r.x = l;
    return;
  }
  if (null != (i = name(r))) {
    u.push(i);
  } else {
    r.y = e;
    r.x = l;
    return;
  }
  if (null != (i = typeCondition(r))) {
    u.push(i);
  } else {
    r.y = e;
    r.x = l;
    return;
  }
  if (null != (i = directives(r))) {
    u.push(i);
  } else {
    r.y = e;
    r.x = l;
    return;
  }
  if (null != (i = selectionSet(r))) {
    u.push(i);
  } else {
    r.y = e;
    r.x = l;
    return;
  }
  if (n.Kind.FRAGMENT_DEFINITION) {
    u.tag = n.Kind.FRAGMENT_DEFINITION;
  }
  return function(n) {
    return {
      kind: n.tag,
      name: n[0],
      typeCondition: n[1],
      directives: n[2],
      selectionSet: n[3]
    };
  }(u);
};

var j = E(/query|mutation|subscription/);

var operationDefinition = function(r) {
  var e = r.y, l = r.x;
  var u = [];
  var i;
  var t = r.y, a = r.x;
  if (null == (i = g(r))) {
    r.y = t;
    r.x = a;
  }
  if (null != (i = j(r))) {
    u.push(i);
  } else {
    r.y = e;
    r.x = l;
    return;
  }
  n: {
    t = r.y, a = r.x;
    var y = u.length;
    if (null == (i = g(r))) {
      r.y = t;
      r.x = a;
      u.length = y;
      break n;
    }
    if (null != (i = name(r))) {
      u.push(i);
    } else {
      r.y = t;
      r.x = a;
      u.length = y;
      break n;
    }
  }
  t = r.y, a = r.x;
  if (null != (i = function(n) {
    var r = n.y, e = n.x;
    var l = [];
    var u;
    var i = n.y, t = n.x;
    if (null == (u = g(n))) {
      n.y = i;
      n.x = t;
    }
    if (null == (u = V(n))) {
      n.y = r;
      n.x = e;
      return;
    }
    var a = n.y, y = n.x;
    if (null == (u = g(n))) {
      n.y = a;
      n.x = y;
    }
    if (null != (u = varDefinition(n))) {
      l.push(u);
    } else {
      n.y = r;
      n.x = e;
      return;
    }
    n: for (;;) {
      i = n.y, t = n.x;
      if (null != (u = varDefinition(n))) {
        l.push(u);
      } else {
        n.y = i;
        n.x = t;
        break n;
      }
    }
    if (null == (u = Y(n))) {
      n.y = r;
      n.x = e;
      return;
    }
    a = n.y, y = n.x;
    if (null == (u = g(n))) {
      n.y = a;
      n.x = y;
    }
    l.tag = "vars";
    return l;
  }(r))) {
    u.push(i);
  } else {
    r.y = t;
    r.x = a;
  }
  if (null != (i = directives(r))) {
    u.push(i);
  } else {
    r.y = e;
    r.x = l;
    return;
  }
  if (null != (i = selectionSet(r))) {
    u.push(i);
  } else {
    r.y = e;
    r.x = l;
    return;
  }
  if (n.Kind.OPERATION_DEFINITION) {
    u.tag = n.Kind.OPERATION_DEFINITION;
  }
  return function(r) {
    var e = 1;
    return {
      kind: r.tag,
      operation: r[0],
      name: r[e].kind === n.Kind.NAME ? r[e++] : void 0,
      variableDefinitions: "vars" === r[e].tag ? r[e++].slice() : [],
      directives: r[e++],
      selectionSet: r[e]
    };
  }(u);
};

var queryShorthand = function(r) {
  var e = r.y, l = r.x;
  var u = [];
  var i;
  if (null != (i = selectionSet(r))) {
    u.push(i);
  } else {
    r.y = e;
    r.x = l;
    return;
  }
  if (n.Kind.OPERATION_DEFINITION) {
    u.tag = n.Kind.OPERATION_DEFINITION;
  }
  return function(n) {
    return {
      kind: n.tag,
      operation: "query",
      name: void 0,
      variableDefinitions: [],
      directives: [],
      selectionSet: n[0]
    };
  }(u);
};

var J = parse$1((function(r) {
  var e = [];
  var l;
  n: for (;;) {
    var u = r.y, i = r.x;
    var t = e.length;
    r: {
      e: {
        var a = r.y, y = r.x;
        if (null != (l = queryShorthand(r))) {
          e.push(l);
        } else {
          r.y = a;
          r.x = y;
          e.length = t;
          break e;
        }
        break r;
      }
      e: {
        a = r.y, y = r.x;
        if (null != (l = operationDefinition(r))) {
          e.push(l);
        } else {
          r.y = a;
          r.x = y;
          e.length = t;
          break e;
        }
        break r;
      }
      if (null != (l = fragmentDefinition(r))) {
        e.push(l);
      } else {
        r.y = u;
        r.x = i;
        e.length = t;
        break n;
      }
    }
  }
  if (n.Kind.DOCUMENT) {
    e.tag = n.Kind.DOCUMENT;
  }
  return function(n) {
    return n.length ? {
      kind: n.tag,
      definitions: n.slice()
    } : void 0;
  }(e);
}));

var Q = parse$1(value);

var z = parse$1(type);

exports.parse = function parse(n) {
  var e = J(n);
  if (null == e) {
    throw new r.GraphQLError("Syntax Error");
  }
  return e;
};

exports.parseType = function parseType(n) {
  var e = z(n);
  if (null == e) {
    throw new r.GraphQLError("Syntax Error");
  }
  return e;
};

exports.parseValue = function parseValue(n) {
  var e = Q(n);
  if (null == e) {
    throw new r.GraphQLError("Syntax Error");
  }
  return e;
};
