import { Kind as r } from "./kinds.mjs";

import { GraphQLError as n } from "../error/GraphQLError.mjs";

var e = "boolean" == typeof /./g.sticky;

function E(r) {
  return "function" == typeof r ? function B(r) {
    return r.length ? r : function(n) {
      return r()(n);
    };
  }(r) : "string" == typeof r ? function C(r) {
    return function(n) {
      if (n.x < n.quasis.length) {
        for (var e = n.quasis[n.x], l = 0, u = r.length; l < u; l++) {
          if (e.charCodeAt(n.y + l) !== r.charCodeAt(l)) {
            return null;
          }
        }
        n.y += r.length;
        return r;
      }
    };
  }(r) : function D(r) {
    r = e ? new RegExp(r.source, "y") : new RegExp(r.source + "|()", "g");
    return function(n) {
      if (n.x < n.quasis.length) {
        var l = n.quasis[n.x];
        r.lastIndex = n.y;
        var u;
        e ? r.test(l) && (u = l.slice(n.y, r.lastIndex)) : null == (l = r.exec(l))[1] && (u = l[0]);
        n.y = r.lastIndex;
        return u;
      }
    };
  }(r);
}

function parse$1(r) {
  return function(n) {
    var e = arguments;
    for (var l = [], u = arguments.length - 1; 0 < u--; ) {
      l[u] = e[u + 1];
    }
    "string" == typeof n && (n = [ n ]);
    return r({
      quasis: n,
      expressions: l,
      x: 0,
      y: 0
    });
  };
}

var l = E(/[_\w][_\d\w]*/);

var name = function(n) {
  var e = n.y, u = n.x;
  var t = [];
  var a;
  if (null != (a = l(n))) {
    t.push(a);
  } else {
    n.y = e;
    n.x = u;
    return;
  }
  if (r.NAME) {
    t.tag = r.NAME;
  }
  return function(r) {
    return {
      kind: r.tag,
      value: r[0]
    };
  }(t);
};

var u = E("null");

var t = E(/true|false/);

var a = E("$");

var variable = function(n) {
  var e = n.y, l = n.x;
  var u = [];
  var t;
  if (null == a(n)) {
    n.y = e;
    n.x = l;
    return;
  }
  if (null != (t = name(n))) {
    u.push(t);
  } else {
    n.y = e;
    n.x = l;
    return;
  }
  if (r.VARIABLE) {
    u.tag = r.VARIABLE;
  }
  return function(r) {
    return {
      kind: r.tag,
      name: r[0]
    };
  }(u);
};

var i = E(/[-]?\d+/), y = E(/[.]\d+/), f = E(/[eE][+-]?\d+/);

var number = function(n) {
  var e = n.y, l = n.x;
  var u = [];
  var t;
  if (null != (t = i(n))) {
    u.push(t);
  } else {
    n.y = e;
    n.x = l;
    return;
  }
  var a = n.y, x = n.x;
  if (null != (t = y(n))) {
    u.push(t);
  } else {
    n.y = a;
    n.x = x;
  }
  a = n.y, x = n.x;
  if (null != (t = f(n))) {
    u.push(t);
  } else {
    n.y = a;
    n.x = x;
  }
  return function(n) {
    return {
      kind: 1 === n.length ? r.INT : r.FLOAT,
      value: n.join("")
    };
  }(u);
};

var x = E('"""'), v = E(/[\s\S]+?(?=""")/), s = E('"""'), o = E('"'), h = E(/[^"\r\n]*/), g = E('"');

var p = E("["), c = E(/([\s,]|#[^\n\r]+)+/), k = E("]");

var d = E(":");

var objectField = function(n) {
  var e = n.y, l = n.x;
  var u = [];
  var t;
  var a = n.y, i = n.x;
  if (null == (t = c(n))) {
    n.y = a;
    n.x = i;
  }
  if (null != (t = name(n))) {
    u.push(t);
  } else {
    n.y = e;
    n.x = l;
    return;
  }
  var y = n.y, f = n.x;
  if (null == (t = c(n))) {
    n.y = y;
    n.x = f;
  }
  if (null == (t = d(n))) {
    n.y = e;
    n.x = l;
    return;
  }
  if (null != (t = value(n))) {
    u.push(t);
  } else {
    n.y = e;
    n.x = l;
    return;
  }
  if (r.OBJECT_FIELD) {
    u.tag = r.OBJECT_FIELD;
  }
  return function(r) {
    return {
      kind: r.tag,
      name: r[0],
      value: r[1]
    };
  }(u);
};

var N = E("{"), I = E("}");

var value = function(n) {
  var e = n.y, l = n.x;
  var a = [];
  var i;
  var y = n.y, f = n.x;
  if (null == (i = c(n))) {
    n.y = y;
    n.x = f;
  }
  var d = a.length;
  r: {
    n: {
      var b = n.y, T = n.x;
      if (null != (i = function(n) {
        var e = n.y, l = n.x;
        var t = [];
        var a;
        if (null != (a = u(n))) {
          t.push(a);
        } else {
          n.y = e;
          n.x = l;
          return;
        }
        if (r.NULL) {
          t.tag = r.NULL;
        }
        return function(r) {
          return {
            kind: r.tag
          };
        }(t);
      }(n))) {
        a.push(i);
      } else {
        n.y = b;
        n.x = T;
        a.length = d;
        break n;
      }
      break r;
    }
    n: {
      b = n.y, T = n.x;
      if (null != (i = function(n) {
        var e = n.y, l = n.x;
        var u = [];
        var a;
        if (null != (a = t(n))) {
          u.push(a);
        } else {
          n.y = e;
          n.x = l;
          return;
        }
        if (r.BOOLEAN) {
          u.tag = r.BOOLEAN;
        }
        return function(r) {
          return {
            kind: r.tag,
            value: "true" === r[0]
          };
        }(u);
      }(n))) {
        a.push(i);
      } else {
        n.y = b;
        n.x = T;
        a.length = d;
        break n;
      }
      break r;
    }
    n: {
      b = n.y, T = n.x;
      if (null != (i = variable(n))) {
        a.push(i);
      } else {
        n.y = b;
        n.x = T;
        a.length = d;
        break n;
      }
      break r;
    }
    n: {
      b = n.y, T = n.x;
      if (null != (i = function(n) {
        var e = n.y, l = n.x;
        var u = [];
        var t;
        e: {
          l: {
            var a = n.y, i = n.x;
            var y = u.length;
            if (null == (t = x(n))) {
              n.y = a;
              n.x = i;
              u.length = y;
              break l;
            }
            if (null != (t = v(n))) {
              u.push(t);
            } else {
              n.y = a;
              n.x = i;
              u.length = y;
              break l;
            }
            if (null == (t = s(n))) {
              n.y = a;
              n.x = i;
              u.length = y;
              break l;
            }
            break e;
          }
          y = u.length;
          if (null == (t = o(n))) {
            n.y = e;
            n.x = l;
            u.length = y;
            return;
          }
          if (null != (t = h(n))) {
            u.push(t);
          } else {
            n.y = e;
            n.x = l;
            u.length = y;
            return;
          }
          if (null == (t = g(n))) {
            n.y = e;
            n.x = l;
            u.length = y;
            return;
          }
        }
        if (r.STRING) {
          u.tag = r.STRING;
        }
        return function(r) {
          return {
            kind: r.tag,
            value: r[0]
          };
        }(u);
      }(n))) {
        a.push(i);
      } else {
        n.y = b;
        n.x = T;
        a.length = d;
        break n;
      }
      break r;
    }
    n: {
      b = n.y, T = n.x;
      if (null != (i = number(n))) {
        a.push(i);
      } else {
        n.y = b;
        n.x = T;
        a.length = d;
        break n;
      }
      break r;
    }
    n: {
      b = n.y, T = n.x;
      if (null != (i = function(n) {
        var e = n.y, l = n.x;
        var u = [];
        var t;
        if (null != (t = name(n))) {
          u.push(t);
        } else {
          n.y = e;
          n.x = l;
          return;
        }
        if (r.ENUM) {
          u.tag = r.ENUM;
        }
        return function(r) {
          return {
            kind: r.tag,
            value: r[0].value
          };
        }(u);
      }(n))) {
        a.push(i);
      } else {
        n.y = b;
        n.x = T;
        a.length = d;
        break n;
      }
      break r;
    }
    n: {
      b = n.y, T = n.x;
      if (null != (i = function(n) {
        var e = n.y, l = n.x;
        var u = [];
        var t;
        if (null == (t = p(n))) {
          n.y = e;
          n.x = l;
          return;
        }
        e: for (;;) {
          var a = n.y, i = n.x;
          if (null != (t = value(n))) {
            u.push(t);
          } else {
            n.y = a;
            n.x = i;
            break e;
          }
        }
        var y = n.y, f = n.x;
        if (null == (t = c(n))) {
          n.y = y;
          n.x = f;
        }
        if (null == (t = k(n))) {
          n.y = e;
          n.x = l;
          return;
        }
        y = n.y, f = n.x;
        if (null == (t = c(n))) {
          n.y = y;
          n.x = f;
        }
        if (r.LIST) {
          u.tag = r.LIST;
        }
        return function(r) {
          return {
            kind: r.tag,
            values: r.slice()
          };
        }(u);
      }(n))) {
        a.push(i);
      } else {
        n.y = b;
        n.x = T;
        a.length = d;
        break n;
      }
      break r;
    }
    if (null != (i = function(n) {
      var e = n.y, l = n.x;
      var u = [];
      var t;
      if (null == (t = N(n))) {
        n.y = e;
        n.x = l;
        return;
      }
      n: for (;;) {
        var a = n.y, i = n.x;
        if (null != (t = objectField(n))) {
          u.push(t);
        } else {
          n.y = a;
          n.x = i;
          break n;
        }
      }
      if (null == (t = I(n))) {
        n.y = e;
        n.x = l;
        return;
      }
      var y = n.y, f = n.x;
      if (null == (t = c(n))) {
        n.y = y;
        n.x = f;
      }
      if (r.OBJECT) {
        u.tag = r.OBJECT;
      }
      return function(r) {
        return {
          kind: r.tag,
          fields: r.slice()
        };
      }(u);
    }(n))) {
      a.push(i);
    } else {
      n.y = e;
      n.x = l;
      a.length = d;
      return;
    }
  }
  y = n.y, f = n.x;
  if (null == (i = c(n))) {
    n.y = y;
    n.x = f;
  }
  return function(r) {
    return r[0];
  }(a);
};

var b = E(":");

var arg = function(n) {
  var e = n.y, l = n.x;
  var u = [];
  var t;
  if (null != (t = name(n))) {
    u.push(t);
  } else {
    n.y = e;
    n.x = l;
    return;
  }
  var a = n.y, i = n.x;
  if (null == (t = c(n))) {
    n.y = a;
    n.x = i;
  }
  if (null == (t = b(n))) {
    n.y = e;
    n.x = l;
    return;
  }
  a = n.y, i = n.x;
  if (null == (t = c(n))) {
    n.y = a;
    n.x = i;
  }
  if (null != (t = value(n))) {
    u.push(t);
  } else {
    n.y = e;
    n.x = l;
    return;
  }
  if (r.ARGUMENT) {
    u.tag = r.ARGUMENT;
  }
  return function(r) {
    return {
      kind: r.tag,
      name: r[0],
      value: r[1]
    };
  }(u);
};

var T = E("("), A = E(")");

var args = function(r) {
  var n = [];
  var e;
  var l = r.y, u = r.x;
  if (null == (e = c(r))) {
    r.y = l;
    r.x = u;
  }
  r: {
    l = r.y, u = r.x;
    var t = n.length;
    if (null == (e = T(r))) {
      r.y = l;
      r.x = u;
      n.length = t;
      break r;
    }
    var a = r.y, i = r.x;
    if (null == (e = c(r))) {
      r.y = a;
      r.x = i;
    }
    if (null != (e = arg(r))) {
      n.push(e);
    } else {
      r.y = l;
      r.x = u;
      n.length = t;
      break r;
    }
    n: for (;;) {
      var y = r.y, f = r.x;
      if (null != (e = arg(r))) {
        n.push(e);
      } else {
        r.y = y;
        r.x = f;
        break n;
      }
    }
    if (null == (e = A(r))) {
      r.y = l;
      r.x = u;
      n.length = t;
      break r;
    }
    a = r.y, i = r.x;
    if (null == (e = c(r))) {
      r.y = a;
      r.x = i;
    }
  }
  return n;
};

var O = E("@");

var directive = function(n) {
  var e = n.y, l = n.x;
  var u = [];
  var t;
  if (null == (t = O(n))) {
    n.y = e;
    n.x = l;
    return;
  }
  if (null != (t = name(n))) {
    u.push(t);
  } else {
    n.y = e;
    n.x = l;
    return;
  }
  var a = n.y, i = n.x;
  if (null == (t = c(n))) {
    n.y = a;
    n.x = i;
  }
  a = n.y, i = n.x;
  if (null != (t = args(n))) {
    u.push(t);
  } else {
    n.y = a;
    n.x = i;
  }
  a = n.y, i = n.x;
  if (null == (t = c(n))) {
    n.y = a;
    n.x = i;
  }
  if (r.DIRECTIVE) {
    u.tag = r.DIRECTIVE;
  }
  return function(r) {
    return {
      kind: r.tag,
      name: r[0],
      arguments: r[1]
    };
  }(u);
};

var directives = function(r) {
  var n = [];
  var e;
  var l = r.y, u = r.x;
  if (null == (e = c(r))) {
    r.y = l;
    r.x = u;
  }
  r: for (;;) {
    l = r.y, u = r.x;
    if (null != (e = directive(r))) {
      n.push(e);
    } else {
      r.y = l;
      r.x = u;
      break r;
    }
  }
  return n;
};

var L = E(/[?!]/);

var R = E(":");

var field = function(n) {
  var e = n.y, l = n.x;
  var u = [];
  var t;
  var a = n.y, i = n.x;
  if (null == (t = c(n))) {
    n.y = a;
    n.x = i;
  }
  if (null != (t = name(n))) {
    u.push(t);
  } else {
    n.y = e;
    n.x = l;
    return;
  }
  r: {
    a = n.y, i = n.x;
    var y = u.length;
    var f = n.y, x = n.x;
    if (null == (t = c(n))) {
      n.y = f;
      n.x = x;
    }
    if (null == (t = R(n))) {
      n.y = a;
      n.x = i;
      u.length = y;
      break r;
    }
    f = n.y, x = n.x;
    if (null == (t = c(n))) {
      n.y = f;
      n.x = x;
    }
    if (null != (t = name(n))) {
      u.push(t);
    } else {
      n.y = a;
      n.x = i;
      u.length = y;
      break r;
    }
  }
  a = n.y, i = n.x;
  if (null != (t = function(r) {
    var n = r.y, e = r.x;
    var l = [];
    var u;
    var t = r.y, a = r.x;
    if (null == c(r)) {
      r.y = t;
      r.x = a;
    }
    if (null != (u = L(r))) {
      l.push(u);
    } else {
      r.y = n;
      r.x = e;
      return;
    }
    return function(r) {
      return "?" === r[0] ? "optional" : "required";
    }(l);
  }(n))) {
    u.push(t);
  } else {
    n.y = a;
    n.x = i;
  }
  if (null != (t = args(n))) {
    u.push(t);
  } else {
    n.y = e;
    n.x = l;
    return;
  }
  if (null != (t = directives(n))) {
    u.push(t);
  } else {
    n.y = e;
    n.x = l;
    return;
  }
  a = n.y, i = n.x;
  if (null != (t = selectionSet(n))) {
    u.push(t);
  } else {
    n.y = a;
    n.x = i;
  }
  if (r.FIELD) {
    u.tag = r.FIELD;
  }
  return function(n) {
    var e = 0;
    return {
      kind: n.tag,
      alias: n[1].kind === r.NAME ? n[e++] : void 0,
      name: n[e++],
      required: "string" == typeof n[e] ? n[e++] : "unset",
      arguments: n[e++],
      directives: n[e++],
      selectionSet: n[e++]
    };
  }(u);
};

var _ = E("["), m = E("]"), S = E("!");

var type = function(n) {
  var e = n.y, l = n.x;
  var u = [];
  var t;
  var a = u.length;
  r: {
    n: {
      var i = n.y, y = n.x;
      if (null == (t = _(n))) {
        n.y = i;
        n.x = y;
        u.length = a;
        break n;
      }
      var f = n.y, x = n.x;
      if (null == (t = c(n))) {
        n.y = f;
        n.x = x;
      }
      if (null != (t = type(n))) {
        u.push(t);
      } else {
        n.y = i;
        n.x = y;
        u.length = a;
        break n;
      }
      f = n.y, x = n.x;
      if (null == (t = c(n))) {
        n.y = f;
        n.x = x;
      }
      if (null == (t = m(n))) {
        n.y = i;
        n.x = y;
        u.length = a;
        break n;
      }
      f = n.y, x = n.x;
      if (null == (t = c(n))) {
        n.y = f;
        n.x = x;
      }
      break r;
    }
    if (null != (t = name(n))) {
      u.push(t);
    } else {
      n.y = e;
      n.x = l;
      u.length = a;
      return;
    }
  }
  var v = n.y, s = n.x;
  if (null != (t = S(n))) {
    u.push(t);
  } else {
    n.y = v;
    n.x = s;
  }
  v = n.y, s = n.x;
  if (null == (t = c(n))) {
    n.y = v;
    n.x = s;
  }
  return function(n) {
    var e = "Name" === n[0].kind ? {
      kind: r.NAMED_TYPE,
      name: n[0]
    } : {
      kind: r.LIST_TYPE,
      type: n[0]
    };
    return "!" === n[1] ? {
      kind: r.NON_NULL_TYPE,
      type: e
    } : e;
  }(u);
};

var F = E("on");

var typeCondition = function(n) {
  var e = n.y, l = n.x;
  var u = [];
  var t;
  var a = n.y, i = n.x;
  if (null == (t = c(n))) {
    n.y = a;
    n.x = i;
  }
  if (null == (t = F(n))) {
    n.y = e;
    n.x = l;
    return;
  }
  if (null == (t = c(n))) {
    n.y = e;
    n.x = l;
    return;
  }
  if (null != (t = name(n))) {
    u.push(t);
  } else {
    n.y = e;
    n.x = l;
    return;
  }
  var y = n.y, f = n.x;
  if (null == (t = c(n))) {
    n.y = y;
    n.x = f;
  }
  return function(n) {
    return {
      kind: r.NAMED_TYPE,
      name: n[0]
    };
  }(u);
};

var M = E("...");

var inlineFragment = function(n) {
  var e = n.y, l = n.x;
  var u = [];
  var t;
  if (null == (t = M(n))) {
    n.y = e;
    n.x = l;
    return;
  }
  var a = n.y, i = n.x;
  if (null != (t = typeCondition(n))) {
    u.push(t);
  } else {
    n.y = a;
    n.x = i;
  }
  if (null != (t = directives(n))) {
    u.push(t);
  } else {
    n.y = e;
    n.x = l;
    return;
  }
  if (null != (t = selectionSet(n))) {
    u.push(t);
  } else {
    n.y = e;
    n.x = l;
    return;
  }
  if (r.INLINE_FRAGMENT) {
    u.tag = r.INLINE_FRAGMENT;
  }
  return function(n) {
    var e = 0;
    return {
      kind: n.tag,
      typeCondition: n[e].kind === r.NAMED_TYPE ? n[e++] : void 0,
      directives: n[e++],
      selectionSet: n[e]
    };
  }(u);
};

var G = E("..."), P = E("on");

var fragmentSpread = function(n) {
  var e = n.y, l = n.x;
  var u = [];
  var t;
  if (null == (t = G(n))) {
    n.y = e;
    n.x = l;
    return;
  }
  var a = n.y, i = n.x;
  if (null == (t = c(n))) {
    n.y = a;
    n.x = i;
  }
  r: {
    var y = n.y, f = n.x;
    if (null == (t = P(n))) {
      n.y = y;
      n.x = f;
      break r;
    }
    n.y = e;
    n.x = l;
    return;
  }
  if (null != (t = name(n))) {
    u.push(t);
  } else {
    n.y = e;
    n.x = l;
    return;
  }
  y = n.y, f = n.x;
  if (null == (t = c(n))) {
    n.y = y;
    n.x = f;
  }
  if (null != (t = directives(n))) {
    u.push(t);
  } else {
    n.y = e;
    n.x = l;
    return;
  }
  if (r.FRAGMENT_SPREAD) {
    u.tag = r.FRAGMENT_SPREAD;
  }
  return function(r) {
    return {
      kind: r.tag,
      name: r[0],
      directives: r[1]
    };
  }(u);
};

var w = E("{"), q = E("}");

var selectionSet = function(n) {
  var e = n.y, l = n.x;
  var u = [];
  var t;
  var a = n.y, i = n.x;
  if (null == (t = c(n))) {
    n.y = a;
    n.x = i;
  }
  if (null == (t = w(n))) {
    n.y = e;
    n.x = l;
    return;
  }
  var y = n.y, f = n.x;
  if (null == (t = c(n))) {
    n.y = y;
    n.x = f;
  }
  var x = u.length;
  r: {
    n: {
      y = n.y, f = n.x;
      if (null != (t = inlineFragment(n))) {
        u.push(t);
      } else {
        n.y = y;
        n.x = f;
        u.length = x;
        break n;
      }
      break r;
    }
    n: {
      y = n.y, f = n.x;
      if (null != (t = fragmentSpread(n))) {
        u.push(t);
      } else {
        n.y = y;
        n.x = f;
        u.length = x;
        break n;
      }
      break r;
    }
    if (null != (t = field(n))) {
      u.push(t);
    } else {
      n.y = e;
      n.x = l;
      u.length = x;
      return;
    }
  }
  r: for (;;) {
    a = n.y, i = n.x;
    x = u.length;
    n: {
      e: {
        y = n.y, f = n.x;
        if (null != (t = inlineFragment(n))) {
          u.push(t);
        } else {
          n.y = y;
          n.x = f;
          u.length = x;
          break e;
        }
        break n;
      }
      e: {
        y = n.y, f = n.x;
        if (null != (t = fragmentSpread(n))) {
          u.push(t);
        } else {
          n.y = y;
          n.x = f;
          u.length = x;
          break e;
        }
        break n;
      }
      if (null != (t = field(n))) {
        u.push(t);
      } else {
        n.y = a;
        n.x = i;
        u.length = x;
        break r;
      }
    }
  }
  if (null == (t = q(n))) {
    n.y = e;
    n.x = l;
    return;
  }
  y = n.y, f = n.x;
  if (null == (t = c(n))) {
    n.y = y;
    n.x = f;
  }
  if (r.SELECTION_SET) {
    u.tag = r.SELECTION_SET;
  }
  return function(r) {
    return {
      kind: r.tag,
      selections: r.slice()
    };
  }(u);
};

var U = E("=");

var V = E(":");

var varDefinition = function(n) {
  var e = n.y, l = n.x;
  var u = [];
  var t;
  if (null != (t = variable(n))) {
    u.push(t);
  } else {
    n.y = e;
    n.x = l;
    return;
  }
  var a = n.y, i = n.x;
  if (null == (t = c(n))) {
    n.y = a;
    n.x = i;
  }
  if (null == (t = V(n))) {
    n.y = e;
    n.x = l;
    return;
  }
  a = n.y, i = n.x;
  if (null == (t = c(n))) {
    n.y = a;
    n.x = i;
  }
  if (null != (t = type(n))) {
    u.push(t);
  } else {
    n.y = e;
    n.x = l;
    return;
  }
  var y = n.y, f = n.x;
  if (null != (t = function(r) {
    var n = r.y, e = r.x;
    var l = [];
    var u;
    if (null == U(r)) {
      r.y = n;
      r.x = e;
      return;
    }
    var t = r.y, a = r.x;
    if (null == c(r)) {
      r.y = t;
      r.x = a;
    }
    if (null != (u = value(r))) {
      l.push(u);
    } else {
      r.y = n;
      r.x = e;
      return;
    }
    return function(r) {
      return r[0];
    }(l);
  }(n))) {
    u.push(t);
  } else {
    n.y = y;
    n.x = f;
  }
  if (null != (t = directives(n))) {
    u.push(t);
  } else {
    n.y = e;
    n.x = l;
    return;
  }
  y = n.y, f = n.x;
  if (null == (t = c(n))) {
    n.y = y;
    n.x = f;
  }
  if (r.VARIABLE_DEFINITION) {
    u.tag = r.VARIABLE_DEFINITION;
  }
  return function(r) {
    return {
      kind: r.tag,
      variable: r[0],
      type: r[1],
      defaultValue: r[2].kind ? r[2] : void 0,
      directives: !r[2].kind ? r[2] : r[3]
    };
  }(u);
};

var Y = E("("), $ = E(")");

var J = E("fragment");

var fragmentDefinition = function(n) {
  var e = n.y, l = n.x;
  var u = [];
  var t;
  var a = n.y, i = n.x;
  if (null == (t = c(n))) {
    n.y = a;
    n.x = i;
  }
  if (null == (t = J(n))) {
    n.y = e;
    n.x = l;
    return;
  }
  if (null == (t = c(n))) {
    n.y = e;
    n.x = l;
    return;
  }
  if (null != (t = name(n))) {
    u.push(t);
  } else {
    n.y = e;
    n.x = l;
    return;
  }
  if (null != (t = typeCondition(n))) {
    u.push(t);
  } else {
    n.y = e;
    n.x = l;
    return;
  }
  if (null != (t = directives(n))) {
    u.push(t);
  } else {
    n.y = e;
    n.x = l;
    return;
  }
  if (null != (t = selectionSet(n))) {
    u.push(t);
  } else {
    n.y = e;
    n.x = l;
    return;
  }
  if (r.FRAGMENT_DEFINITION) {
    u.tag = r.FRAGMENT_DEFINITION;
  }
  return function(r) {
    return {
      kind: r.tag,
      name: r[0],
      typeCondition: r[1],
      directives: r[2],
      selectionSet: r[3]
    };
  }(u);
};

var j = E(/query|mutation|subscription/);

var operationDefinition = function(n) {
  var e = n.y, l = n.x;
  var u = [];
  var t;
  var a = n.y, i = n.x;
  if (null == (t = c(n))) {
    n.y = a;
    n.x = i;
  }
  if (null != (t = j(n))) {
    u.push(t);
  } else {
    n.y = e;
    n.x = l;
    return;
  }
  r: {
    a = n.y, i = n.x;
    var y = u.length;
    if (null == (t = c(n))) {
      n.y = a;
      n.x = i;
      u.length = y;
      break r;
    }
    if (null != (t = name(n))) {
      u.push(t);
    } else {
      n.y = a;
      n.x = i;
      u.length = y;
      break r;
    }
  }
  a = n.y, i = n.x;
  if (null != (t = function(r) {
    var n = r.y, e = r.x;
    var l = [];
    var u;
    var t = r.y, a = r.x;
    if (null == (u = c(r))) {
      r.y = t;
      r.x = a;
    }
    if (null == (u = Y(r))) {
      r.y = n;
      r.x = e;
      return;
    }
    var i = r.y, y = r.x;
    if (null == (u = c(r))) {
      r.y = i;
      r.x = y;
    }
    if (null != (u = varDefinition(r))) {
      l.push(u);
    } else {
      r.y = n;
      r.x = e;
      return;
    }
    r: for (;;) {
      t = r.y, a = r.x;
      if (null != (u = varDefinition(r))) {
        l.push(u);
      } else {
        r.y = t;
        r.x = a;
        break r;
      }
    }
    if (null == (u = $(r))) {
      r.y = n;
      r.x = e;
      return;
    }
    i = r.y, y = r.x;
    if (null == (u = c(r))) {
      r.y = i;
      r.x = y;
    }
    l.tag = "vars";
    return l;
  }(n))) {
    u.push(t);
  } else {
    n.y = a;
    n.x = i;
  }
  if (null != (t = directives(n))) {
    u.push(t);
  } else {
    n.y = e;
    n.x = l;
    return;
  }
  if (null != (t = selectionSet(n))) {
    u.push(t);
  } else {
    n.y = e;
    n.x = l;
    return;
  }
  if (r.OPERATION_DEFINITION) {
    u.tag = r.OPERATION_DEFINITION;
  }
  return function(n) {
    var e = 1;
    return {
      kind: n.tag,
      operation: n[0],
      name: n[e].kind === r.NAME ? n[e++] : void 0,
      variableDefinitions: "vars" === n[e].tag ? n[e++].slice() : [],
      directives: n[e++],
      selectionSet: n[e]
    };
  }(u);
};

var queryShorthand = function(n) {
  var e = n.y, l = n.x;
  var u = [];
  var t;
  if (null != (t = selectionSet(n))) {
    u.push(t);
  } else {
    n.y = e;
    n.x = l;
    return;
  }
  if (r.OPERATION_DEFINITION) {
    u.tag = r.OPERATION_DEFINITION;
  }
  return function(r) {
    return {
      kind: r.tag,
      operation: "query",
      name: void 0,
      variableDefinitions: [],
      directives: [],
      selectionSet: r[0]
    };
  }(u);
};

var Q = parse$1((function(n) {
  var e = [];
  var l;
  r: for (;;) {
    var u = n.y, t = n.x;
    var a = e.length;
    n: {
      e: {
        var i = n.y, y = n.x;
        if (null != (l = queryShorthand(n))) {
          e.push(l);
        } else {
          n.y = i;
          n.x = y;
          e.length = a;
          break e;
        }
        break n;
      }
      e: {
        i = n.y, y = n.x;
        if (null != (l = operationDefinition(n))) {
          e.push(l);
        } else {
          n.y = i;
          n.x = y;
          e.length = a;
          break e;
        }
        break n;
      }
      if (null != (l = fragmentDefinition(n))) {
        e.push(l);
      } else {
        n.y = u;
        n.x = t;
        e.length = a;
        break r;
      }
    }
  }
  if (r.DOCUMENT) {
    e.tag = r.DOCUMENT;
  }
  return function(r) {
    return r.length ? {
      kind: r.tag,
      definitions: r.slice()
    } : void 0;
  }(e);
}));

var z = parse$1(value);

var H = parse$1(type);

function parse(r) {
  var e = Q(r);
  if (null == e) {
    throw new n("Syntax Error");
  }
  return e;
}

function parseValue(r) {
  var e = z(r);
  if (null == e) {
    throw new n("Syntax Error");
  }
  return e;
}

function parseType(r) {
  var e = H(r);
  if (null == e) {
    throw new n("Syntax Error");
  }
  return e;
}

export { parse, parseType, parseValue };
