"use strict";

Object.defineProperty(exports, "__esModule", {
  value: !0
});

var r = require("../error/GraphQLError.js");

exports.getOperationRootType = function getOperationRootType(e, o) {
  if ("query" === o.operation) {
    var t = e.getQueryType();
    if (!t) {
      throw new r.GraphQLError("Schema does not define the required query root type.", o);
    }
    return t;
  }
  if ("mutation" === o.operation) {
    var i = e.getMutationType();
    if (!i) {
      throw new r.GraphQLError("Schema is not configured for mutations.", o);
    }
    return i;
  }
  if ("subscription" === o.operation) {
    var n = e.getSubscriptionType();
    if (!n) {
      throw new r.GraphQLError("Schema is not configured for subscriptions.", o);
    }
    return n;
  }
  throw new r.GraphQLError("Can only have query, mutation and subscription operations.", o);
};
