import { Kind as e } from "../language/kinds.mjs";

import { visit as n } from "../language/visitor.mjs";

function separateOperations(n) {
  var a = [];
  var t = Object.create(null);
  for (var i = 0, r = n.definitions; i < r.length; i += 1) {
    var c = r[i];
    switch (c.kind) {
     case e.OPERATION_DEFINITION:
      a.push(c);
      break;

     case e.FRAGMENT_DEFINITION:
      t[c.name.value] = collectDependencies(c.selectionSet);
    }
  }
  var o = Object.create(null);
  var loop = function() {
    var a = s[l];
    var i = new Set;
    for (var r = 0, c = collectDependencies(a.selectionSet); r < c.length; r += 1) {
      collectTransitiveDependencies(i, t, c[r]);
    }
    o[a.name ? a.name.value : ""] = {
      kind: e.DOCUMENT,
      definitions: n.definitions.filter((function(n) {
        return n === a || n.kind === e.FRAGMENT_DEFINITION && i.has(n.name.value);
      }))
    };
  };
  for (var l = 0, s = a; l < s.length; l += 1) {
    loop();
  }
  return o;
}

function collectTransitiveDependencies(e, n, a) {
  if (!e.has(a)) {
    e.add(a);
    var t = n[a];
    if (void 0 !== t) {
      for (var i = 0, r = t; i < r.length; i += 1) {
        collectTransitiveDependencies(e, n, r[i]);
      }
    }
  }
}

function collectDependencies(e) {
  var a = [];
  n(e, {
    FragmentSpread: function FragmentSpread(e) {
      a.push(e.name.value);
    }
  });
  return a;
}

export { separateOperations };
