"use strict";

Object.defineProperty(exports, "__esModule", {
  value: !0
});

var e = require("../type/definition.js");

exports.doTypesOverlap = function doTypesOverlap(i, p, r) {
  if (p === r) {
    return !0;
  }
  if (e.isAbstractType(p)) {
    if (e.isAbstractType(r)) {
      return i.getPossibleTypes(p).some((function(e) {
        return i.isSubType(r, e);
      }));
    }
    return i.isSubType(p, r);
  }
  if (e.isAbstractType(r)) {
    return i.isSubType(r, p);
  }
  return !1;
};

exports.isEqualType = function isEqualType(i, p) {
  if (i === p) {
    return !0;
  }
  if (e.isNonNullType(i) && e.isNonNullType(p)) {
    return isEqualType(i.ofType, p.ofType);
  }
  if (e.isListType(i) && e.isListType(p)) {
    return isEqualType(i.ofType, p.ofType);
  }
  return !1;
};

exports.isTypeSubTypeOf = function isTypeSubTypeOf(i, p, r) {
  if (p === r) {
    return !0;
  }
  if (e.isNonNullType(r)) {
    if (e.isNonNullType(p)) {
      return isTypeSubTypeOf(i, p.ofType, r.ofType);
    }
    return !1;
  }
  if (e.isNonNullType(p)) {
    return isTypeSubTypeOf(i, p.ofType, r);
  }
  if (e.isListType(r)) {
    if (e.isListType(p)) {
      return isTypeSubTypeOf(i, p.ofType, r.ofType);
    }
    return !1;
  }
  if (e.isListType(p)) {
    return !1;
  }
  return e.isAbstractType(r) && (e.isInterfaceType(p) || e.isObjectType(p)) && i.isSubType(r, p);
};
