import { invariant as e } from "../jsutils/invariant.mjs";

import { Kind as r } from "../language/kinds.mjs";

import { GraphQLList as t, GraphQLNonNull as i } from "../type/definition.mjs";

function typeFromAST(n, m) {
  var o;
  if (m.kind === r.LIST_TYPE) {
    return (o = typeFromAST(n, m.type)) && new t(o);
  }
  if (m.kind === r.NON_NULL_TYPE) {
    return (o = typeFromAST(n, m.type)) && new i(o);
  }
  if (m.kind === r.NAMED_TYPE) {
    return n.getType(m.name.value);
  }
  e(!1);
}

export { typeFromAST };
