"use strict";

Object.defineProperty(exports, "__esModule", {
  value: !0
});

var e = require("../../jsutils/didYouMean.js");

var r = require("../../jsutils/suggestionList.js");

var t = require("../../jsutils/naturalCompare.js");

var n = require("../../error/GraphQLError.js");

var i = require("../../type/definition.js");

exports.FieldsOnCorrectTypeRule = function FieldsOnCorrectTypeRule(a) {
  return {
    Field: function Field(u) {
      var s = a.getParentType();
      if (s) {
        if (!a.getFieldDef()) {
          var o = a.getSchema();
          var l = u.name.value;
          var f = e.didYouMean("to use an inline fragment on", function getSuggestedTypeNames(e, r, n) {
            if (!i.isAbstractType(r)) {
              return [];
            }
            var a = new Set;
            var u = Object.create(null);
            for (var s = 0, o = e.getPossibleTypes(r); s < o.length; s += 1) {
              var l = o[s];
              if (!l.getFields()[n]) {
                continue;
              }
              a.add(l);
              u[l.name] = 1;
              for (var f = 0, d = l.getInterfaces(); f < d.length; f += 1) {
                var c = d[f];
                var p;
                if (!c.getFields()[n]) {
                  continue;
                }
                a.add(c);
                u[c.name] = (null !== (p = u[c.name]) && void 0 !== p ? p : 0) + 1;
              }
            }
            return [].concat(a).sort((function(r, n) {
              var a = u[n.name] - u[r.name];
              if (0 !== a) {
                return a;
              }
              if (i.isInterfaceType(r) && e.isSubType(r, n)) {
                return -1;
              }
              if (i.isInterfaceType(n) && e.isSubType(n, r)) {
                return 1;
              }
              return t.naturalCompare(r.name, n.name);
            })).map((function(e) {
              return e.name;
            }));
          }(o, s, l));
          if ("" === f) {
            f = e.didYouMean(function getSuggestedFieldNames(e, t) {
              if (i.isObjectType(e) || i.isInterfaceType(e)) {
                var n = Object.keys(e.getFields());
                return r.suggestionList(t, n);
              }
              return [];
            }(s, l));
          }
          a.reportError(new n.GraphQLError('Cannot query field "' + l + '" on type "' + s.name + '".' + f, u));
        }
      }
    }
  };
};
