import { GraphQLError as n } from "../../error/GraphQLError.mjs";

import { Kind as o } from "../../language/kinds.mjs";

function LoneAnonymousOperationRule(e) {
  var r = 0;
  return {
    Document: function Document(n) {
      r = n.definitions.filter((function(n) {
        return n.kind === o.OPERATION_DEFINITION;
      })).length;
    },
    OperationDefinition: function OperationDefinition(o) {
      if (!o.name && r > 1) {
        e.reportError(new n("This anonymous operation must be the only defined operation.", o));
      }
    }
  };
}

export { LoneAnonymousOperationRule };
