import { GraphQLError as e } from "../../error/GraphQLError.mjs";

function LoneSchemaDefinitionRule(n) {
  var i, o, r;
  var t = n.getSchema();
  var a = null !== (i = null !== (o = null !== (r = null == t ? void 0 : t.astNode) && void 0 !== r ? r : null == t ? void 0 : t.getQueryType()) && void 0 !== o ? o : null == t ? void 0 : t.getMutationType()) && void 0 !== i ? i : null == t ? void 0 : t.getSubscriptionType();
  var l = 0;
  return {
    SchemaDefinition: function SchemaDefinition(i) {
      if (a) {
        n.reportError(new e("Cannot define a new schema within a schema extension.", i));
        return;
      }
      if (l > 0) {
        n.reportError(new e("Must provide only one schema definition.", i));
      }
      ++l;
    }
  };
}

export { LoneSchemaDefinitionRule };
