import { GraphQLError as e } from "../../error/GraphQLError.mjs";

function NoFragmentCyclesRule(r) {
  var n = Object.create(null);
  var t = [];
  var a = Object.create(null);
  return {
    OperationDefinition: function() {
      return !1;
    },
    FragmentDefinition: function FragmentDefinition(e) {
      detectCycleRecursive(e);
      return !1;
    }
  };
  function detectCycleRecursive(i) {
    if (n[i.name.value]) {
      return;
    }
    var o = i.name.value;
    n[o] = !0;
    var c = r.getFragmentSpreads(i.selectionSet);
    if (0 === c.length) {
      return;
    }
    a[o] = t.length;
    for (var l = 0, u = c; l < u.length; l += 1) {
      var v = u[l];
      var f = v.name.value;
      var m = a[f];
      t.push(v);
      if (void 0 === m) {
        var s = r.getFragment(f);
        if (s) {
          detectCycleRecursive(s);
        }
      } else {
        var g = t.slice(m);
        var p = g.slice(0, -1).map((function(e) {
          return '"' + e.name.value + '"';
        })).join(", ");
        r.reportError(new e('Cannot spread fragment "' + f + '" within itself' + ("" !== p ? " via " + p + "." : "."), g));
      }
      t.pop();
    }
    a[o] = void 0;
  }
}

export { NoFragmentCyclesRule };
