"use strict";

Object.defineProperty(exports, "__esModule", {
  value: !0
});

var e = require("../../error/GraphQLError.js");

exports.NoUndefinedVariablesRule = function NoUndefinedVariablesRule(r) {
  var a = Object.create(null);
  return {
    OperationDefinition: {
      enter: function enter() {
        a = Object.create(null);
      },
      leave: function leave(n) {
        for (var i = 0, t = r.getRecursiveVariableUsages(n); i < t.length; i += 1) {
          var o = t[i].node;
          var l = o.name.value;
          if (!0 !== a[l]) {
            r.reportError(new e.GraphQLError(n.name ? 'Variable "$' + l + '" is not defined by operation "' + n.name.value + '".' : 'Variable "$' + l + '" is not defined.', [ o, n ]));
          }
        }
      }
    },
    VariableDefinition: function VariableDefinition(e) {
      a[e.variable.name.value] = !0;
    }
  };
};
