import { GraphQLError as e } from "../../error/GraphQLError.mjs";

function NoUnusedFragmentsRule(r) {
  var n = [];
  var t = [];
  return {
    OperationDefinition: function OperationDefinition(e) {
      n.push(e);
      return !1;
    },
    FragmentDefinition: function FragmentDefinition(e) {
      t.push(e);
      return !1;
    },
    Document: {
      leave: function leave() {
        var a = Object.create(null);
        for (var o = 0, i = n; o < i.length; o += 1) {
          for (var u = 0, f = r.getRecursivelyReferencedFragments(i[o]); u < f.length; u += 1) {
            a[f[u].name.value] = !0;
          }
        }
        for (var v = 0, l = t; v < l.length; v += 1) {
          var m = l[v];
          var s = m.name.value;
          if (!0 !== a[s]) {
            r.reportError(new e('Fragment "' + s + '" is never used.', m));
          }
        }
      }
    }
  };
}

export { NoUnusedFragmentsRule };
