import { GraphQLError as e } from "../../error/GraphQLError.mjs";

function NoUnusedVariablesRule(r) {
  var a = [];
  return {
    OperationDefinition: {
      enter: function enter() {
        a = [];
      },
      leave: function leave(n) {
        var i = Object.create(null);
        for (var o = 0, t = r.getRecursiveVariableUsages(n); o < t.length; o += 1) {
          i[t[o].node.name.value] = !0;
        }
        for (var l = 0, u = a; l < u.length; l += 1) {
          var v = u[l];
          var s = v.variable.name.value;
          if (!0 !== i[s]) {
            r.reportError(new e(n.name ? 'Variable "$' + s + '" is never used in operation "' + n.name.value + '".' : 'Variable "$' + s + '" is never used.', v));
          }
        }
      }
    },
    VariableDefinition: function VariableDefinition(e) {
      a.push(e);
    }
  };
}

export { NoUnusedVariablesRule };
