"use strict";

Object.defineProperty(exports, "__esModule", {
  value: !0
});

var e = require("../../error/GraphQLError.js");

exports.UniqueOperationNamesRule = function UniqueOperationNamesRule(r) {
  var n = Object.create(null);
  return {
    OperationDefinition: function OperationDefinition(i) {
      var t = i.name;
      if (t) {
        if (n[t.value]) {
          r.reportError(new e.GraphQLError('There can be only one operation named "' + t.value + '".', [ n[t.value], t ]));
        } else {
          n[t.value] = t;
        }
      }
      return !1;
    },
    FragmentDefinition: function() {
      return !1;
    }
  };
};
