"use strict";

Object.defineProperty(exports, "__esModule", {
  value: !0
});

var e = require("../../error/GraphQLError.js");

exports.UniqueOperationTypesRule = function UniqueOperationTypesRule(r) {
  var n = r.getSchema();
  var t = Object.create(null);
  var o = n ? {
    query: n.getQueryType(),
    mutation: n.getMutationType(),
    subscription: n.getSubscriptionType()
  } : {};
  return {
    SchemaDefinition: checkOperationTypes,
    SchemaExtension: checkOperationTypes
  };
  function checkOperationTypes(n) {
    var a;
    for (var i = 0, p = null !== (a = n.operationTypes) && void 0 !== a ? a : []; i < p.length; i += 1) {
      var c = p[i];
      var s = c.operation;
      var u = t[s];
      if (o[s]) {
        r.reportError(new e.GraphQLError("Type for " + s + " already defined in the schema. It cannot be redefined.", c));
      } else if (u) {
        r.reportError(new e.GraphQLError("There can be only one " + s + " type in schema.", [ u, c ]));
      } else {
        t[s] = c;
      }
    }
    return !1;
  }
};
