"use strict";

Object.defineProperty(exports, "__esModule", {
  value: !0
});

var e = require("../../error/GraphQLError.js");

var r = require("../../language/printer.js");

var i = require("../../type/definition.js");

var t = require("../../utilities/typeFromAST.js");

exports.VariablesAreInputTypesRule = function VariablesAreInputTypesRule(a) {
  return {
    VariableDefinition: function VariableDefinition(n) {
      var p = t.typeFromAST(a.getSchema(), n.type);
      if (p && !i.isInputType(p)) {
        var u = n.variable.name.value;
        var o = r.print(n.type);
        a.reportError(new e.GraphQLError('Variable "$' + u + '" cannot be non-input type "' + o + '".', n.type));
      }
    }
  };
};
