"use strict";

Object.defineProperty(exports, "__esModule", {
  value: !0
});

var e = require("../../../error/GraphQLError.js");

var r = require("../../../type/definition.js");

var t = require("../../../type/introspection.js");

exports.NoSchemaIntrospectionCustomRule = function NoSchemaIntrospectionCustomRule(o) {
  return {
    Field: function Field(i) {
      var n = r.getNamedType(o.getType());
      if (n && t.isIntrospectionType(n)) {
        o.reportError(new e.GraphQLError('GraphQL introspection has been disabled, but the requested query contained the field "' + i.name.value + '".', i));
      }
    }
  };
};
