import { GraphQLError as r } from "../error/GraphQLError.mjs";

import { visitInParallel as i, visit as o } from "../language/visitor.mjs";

import { assertValidSchema as t } from "../type/validate.mjs";

import { TypeInfo as n, visitWithTypeInfo as a } from "../utilities/TypeInfo.mjs";

import { specifiedRules as e, specifiedSDLRules as m } from "./specifiedRules.mjs";

import { ValidationContext as s, SDLValidationContext as f } from "./ValidationContext.mjs";

function validate(m, f, u, v, d) {
  if (void 0 === u) {
    u = e;
  }
  if (void 0 === v) {
    v = {
      maxErrors: void 0
    };
  }
  if (void 0 === d) {
    d = new n(m);
  }
  t(m);
  var l = {};
  var p = [];
  var c = new s(m, f, d, (function(i) {
    if (null != v.maxErrors && p.length >= v.maxErrors) {
      p.push(new r("Too many validation errors, error limit reached. Validation aborted."));
      throw l;
    }
    p.push(i);
  }));
  var h = i(u.map((function(r) {
    return r(c);
  })));
  try {
    o(f, a(d, h));
  } catch (r) {
    if (r !== l) {
      throw r;
    }
  }
  return p;
}

function assertValidSDLExtension(r, t) {
  var n = function validateSDL(r, t, n) {
    if (void 0 === n) {
      n = m;
    }
    var a = [];
    var e = new f(r, t, (function(r) {
      a.push(r);
    }));
    var s = n.map((function(r) {
      return r(e);
    }));
    o(r, i(s));
    return a;
  }(r, t);
  if (0 !== n.length) {
    throw new Error(n.map((function(r) {
      return r.message;
    })).join("\n\n"));
  }
}

export { assertValidSDLExtension, validate };
